package com.lightinit.hsdataplatform.controller.admin;

import com.lightinit.hsdataplatform.dictionary.DicActivityState;
import com.lightinit.hsdataplatform.dictionary.DicActivityType;
import com.lightinit.hsdataplatform.entity.Activity;
import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.admin.ActivitySearchModel;
import com.lightinit.hsdataplatform.service.admin.IActivityMgrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;

/**
 * 用户管理
 */
@Controller("adminHomeController")
@RequestMapping(value = {"/admin", "/admin/home"})
public class HomeController {

    @Autowired
    private IActivityMgrService activityMgrService;
    @RequestMapping(value = {"/", "/index.action"})
    public ModelAndView index(){
        ModelAndView modelAndView = new ModelAndView("admin/home/index");
        return modelAndView;
    }

}
