package com.lightinit.hsdataplatform.dictionary;

import com.lightinit.hsdataplatform.common.ConfigUtils;
import com.lightinit.hsdataplatform.common.SysContants;

public class DicPaasApi {

    public static final String PAASPATH = ConfigUtils.getConfiguration(SysContants.PropertyFilePath.CONFIG).getString(SysContants.PropertyKey.PAAS_PATH) ;


    //镜像地址
    public static final String IMAGETAGS = PAASPATH+"/microservice-gateway/msgs-server/v1/imageTags" ;

    //开发商地址
    public static final String DEVELOPERS = PAASPATH+"/microservice-gateway/msgs-server/v1/developers" ;

    //分类地址
    public static final String APPKINDS = PAASPATH+"/microservice-gateway/msgs-server/v1/appKinds" ;

    //租户
    public static final String TENANT = PAASPATH+"/microservice-gateway/msgs-server/namespaces" ;

    //保存应用信息
    public static final String NMSPAPP = PAASPATH+"/microservice-gateway/msgs-server/v1/nmspApp" ;

    //发布微服务
    public static final String PUBLISHSERVICE = PAASPATH+"/microservice-gateway/msgs-server/v1/service" ;

   //新建路由规则
   public static final String ROUTE_ADD = PAASPATH+"/microservice-gateway/v1/route" ;

    //获取TOKEN
    public static final String TOKEN = PAASPATH+"/microservice-gateway/msgs-auth/oauth/token" ;

    //保存应用版本
    public static final String NMSPAPPVERSION = PAASPATH+"/microservice-gateway/msgs-server/v1/appImage" ;

    //查询应用版本
    public static final String GETAPPVERSION = PAASPATH+"/microservice-gateway/msgs-server/v1/imageVersions/" ;

    //获取应用版本列表
    public static final String APPLICATIONVERSION = PAASPATH+"/microservice-gateway/msgs-server/v1/imageVersions/{appId}" ;

    //第三方服务添加
    public static final String OUTROUTESERVICE = PAASPATH+"/microservice-gateway/msgs-server/v1/ext-services" ;

    //添加第三方部署节点
    public static final String OUTROUTEVIEW = PAASPATH+"/microservice-gateway/msgs-server/v1/ext-services/" ;

    //查询用户
    public static final String EDITUSER = PAASPATH+"/microservice-gateway/msgs-auth/v1/user/" ;
    //更新用户
    public static final String UPDATEUSER = PAASPATH+"/microservice-gateway/msgs-auth/v1/user/" ;

    //获取角色列表
    public static final String GETROLES = PAASPATH+"/microservice-gateway/msgs-auth/v1/roles" ;

    //获取权限列表
    public static final String GETAUTHORITIES = PAASPATH+"/microservice-gateway/msgs-auth/v1/authorities" ;

    //增加角色
    public static final String ADDROLES = PAASPATH+"/microservice-gateway/msgs-auth/v1/role" ;

    //增加权限
    public static final String ADDAUTHORITIES = PAASPATH+"/microservice-gateway/msgs-auth/v1/authority" ;

    //更新角色
    public static final String UPDATAROLES = PAASPATH+"/microservice-gateway/msgs-auth/v1/role/" ;

    //根据状态发送短信
    //获取服务列表
    public static final String SERVICES = PAASPATH+"/microservice-gateway/msgs-consul/v1/catalog/services" ;
   // 检查服务是否正常
    public static final String ISSERVICE = PAASPATH+"/microservice-gateway/msgs-consul/v1/health/service/" ;

//    //获取流量发送短信
//    //获取服务列表
//    public static final String SERVICES = PAASPATH+"/microservice-gateway/msgs-consul/v1/catalog/services" ;
//    // 检查服务是否正常
//    public static final String ISSERVICE = PAASPATH+"/microservice-gateway/msgs-consul/v1/health/service/" ;
}
