package com.lightinit.hsdataplatform.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class OrderGoodsExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public OrderGoodsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(Long value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(Long value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(Long value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(Long value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<Long> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<Long> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(Long value1, Long value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdIsNull() {
            addCriterion("resource_auth_id is null");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdIsNotNull() {
            addCriterion("resource_auth_id is not null");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdEqualTo(Long value) {
            addCriterion("resource_auth_id =", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdNotEqualTo(Long value) {
            addCriterion("resource_auth_id <>", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdGreaterThan(Long value) {
            addCriterion("resource_auth_id >", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdGreaterThanOrEqualTo(Long value) {
            addCriterion("resource_auth_id >=", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdLessThan(Long value) {
            addCriterion("resource_auth_id <", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdLessThanOrEqualTo(Long value) {
            addCriterion("resource_auth_id <=", value, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdIn(List<Long> values) {
            addCriterion("resource_auth_id in", values, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdNotIn(List<Long> values) {
            addCriterion("resource_auth_id not in", values, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdBetween(Long value1, Long value2) {
            addCriterion("resource_auth_id between", value1, value2, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceAuthIdNotBetween(Long value1, Long value2) {
            addCriterion("resource_auth_id not between", value1, value2, "resourceAuthId");
            return (Criteria) this;
        }

        public Criteria andResourceTypeIsNull() {
            addCriterion("resource_type is null");
            return (Criteria) this;
        }

        public Criteria andResourceTypeIsNotNull() {
            addCriterion("resource_type is not null");
            return (Criteria) this;
        }

        public Criteria andResourceTypeEqualTo(String value) {
            addCriterion("resource_type =", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeNotEqualTo(String value) {
            addCriterion("resource_type <>", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeGreaterThan(String value) {
            addCriterion("resource_type >", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("resource_type >=", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeLessThan(String value) {
            addCriterion("resource_type <", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeLessThanOrEqualTo(String value) {
            addCriterion("resource_type <=", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeLike(String value) {
            addCriterion("resource_type like", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeNotLike(String value) {
            addCriterion("resource_type not like", value, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeIn(List<String> values) {
            addCriterion("resource_type in", values, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeNotIn(List<String> values) {
            addCriterion("resource_type not in", values, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeBetween(String value1, String value2) {
            addCriterion("resource_type between", value1, value2, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceTypeNotBetween(String value1, String value2) {
            addCriterion("resource_type not between", value1, value2, "resourceType");
            return (Criteria) this;
        }

        public Criteria andResourceNameIsNull() {
            addCriterion("resource_name is null");
            return (Criteria) this;
        }

        public Criteria andResourceNameIsNotNull() {
            addCriterion("resource_name is not null");
            return (Criteria) this;
        }

        public Criteria andResourceNameEqualTo(String value) {
            addCriterion("resource_name =", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameNotEqualTo(String value) {
            addCriterion("resource_name <>", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameGreaterThan(String value) {
            addCriterion("resource_name >", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameGreaterThanOrEqualTo(String value) {
            addCriterion("resource_name >=", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameLessThan(String value) {
            addCriterion("resource_name <", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameLessThanOrEqualTo(String value) {
            addCriterion("resource_name <=", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameLike(String value) {
            addCriterion("resource_name like", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameNotLike(String value) {
            addCriterion("resource_name not like", value, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameIn(List<String> values) {
            addCriterion("resource_name in", values, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameNotIn(List<String> values) {
            addCriterion("resource_name not in", values, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameBetween(String value1, String value2) {
            addCriterion("resource_name between", value1, value2, "resourceName");
            return (Criteria) this;
        }

        public Criteria andResourceNameNotBetween(String value1, String value2) {
            addCriterion("resource_name not between", value1, value2, "resourceName");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("quantity is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("quantity is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(Integer value) {
            addCriterion("quantity =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(Integer value) {
            addCriterion("quantity <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(Integer value) {
            addCriterion("quantity >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(Integer value) {
            addCriterion("quantity <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("quantity <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<Integer> values) {
            addCriterion("quantity in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<Integer> values) {
            addCriterion("quantity not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(Integer value1, Integer value2) {
            addCriterion("quantity between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity not between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdIsNull() {
            addCriterion("publish_setting_id is null");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdIsNotNull() {
            addCriterion("publish_setting_id is not null");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdEqualTo(Long value) {
            addCriterion("publish_setting_id =", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdNotEqualTo(Long value) {
            addCriterion("publish_setting_id <>", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdGreaterThan(Long value) {
            addCriterion("publish_setting_id >", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdGreaterThanOrEqualTo(Long value) {
            addCriterion("publish_setting_id >=", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdLessThan(Long value) {
            addCriterion("publish_setting_id <", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdLessThanOrEqualTo(Long value) {
            addCriterion("publish_setting_id <=", value, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdIn(List<Long> values) {
            addCriterion("publish_setting_id in", values, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdNotIn(List<Long> values) {
            addCriterion("publish_setting_id not in", values, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdBetween(Long value1, Long value2) {
            addCriterion("publish_setting_id between", value1, value2, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andPublishSettingIdNotBetween(Long value1, Long value2) {
            addCriterion("publish_setting_id not between", value1, value2, "publishSettingId");
            return (Criteria) this;
        }

        public Criteria andChargeMethodIsNull() {
            addCriterion("charge_method is null");
            return (Criteria) this;
        }

        public Criteria andChargeMethodIsNotNull() {
            addCriterion("charge_method is not null");
            return (Criteria) this;
        }

        public Criteria andChargeMethodEqualTo(String value) {
            addCriterion("charge_method =", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodNotEqualTo(String value) {
            addCriterion("charge_method <>", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodGreaterThan(String value) {
            addCriterion("charge_method >", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodGreaterThanOrEqualTo(String value) {
            addCriterion("charge_method >=", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodLessThan(String value) {
            addCriterion("charge_method <", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodLessThanOrEqualTo(String value) {
            addCriterion("charge_method <=", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodLike(String value) {
            addCriterion("charge_method like", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodNotLike(String value) {
            addCriterion("charge_method not like", value, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodIn(List<String> values) {
            addCriterion("charge_method in", values, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodNotIn(List<String> values) {
            addCriterion("charge_method not in", values, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodBetween(String value1, String value2) {
            addCriterion("charge_method between", value1, value2, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andChargeMethodNotBetween(String value1, String value2) {
            addCriterion("charge_method not between", value1, value2, "chargeMethod");
            return (Criteria) this;
        }

        public Criteria andPackageNameIsNull() {
            addCriterion("package_name is null");
            return (Criteria) this;
        }

        public Criteria andPackageNameIsNotNull() {
            addCriterion("package_name is not null");
            return (Criteria) this;
        }

        public Criteria andPackageNameEqualTo(String value) {
            addCriterion("package_name =", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameNotEqualTo(String value) {
            addCriterion("package_name <>", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameGreaterThan(String value) {
            addCriterion("package_name >", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameGreaterThanOrEqualTo(String value) {
            addCriterion("package_name >=", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameLessThan(String value) {
            addCriterion("package_name <", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameLessThanOrEqualTo(String value) {
            addCriterion("package_name <=", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameLike(String value) {
            addCriterion("package_name like", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameNotLike(String value) {
            addCriterion("package_name not like", value, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameIn(List<String> values) {
            addCriterion("package_name in", values, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameNotIn(List<String> values) {
            addCriterion("package_name not in", values, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameBetween(String value1, String value2) {
            addCriterion("package_name between", value1, value2, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackageNameNotBetween(String value1, String value2) {
            addCriterion("package_name not between", value1, value2, "packageName");
            return (Criteria) this;
        }

        public Criteria andPackagePriceIsNull() {
            addCriterion("package_price is null");
            return (Criteria) this;
        }

        public Criteria andPackagePriceIsNotNull() {
            addCriterion("package_price is not null");
            return (Criteria) this;
        }

        public Criteria andPackagePriceEqualTo(BigDecimal value) {
            addCriterion("package_price =", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceNotEqualTo(BigDecimal value) {
            addCriterion("package_price <>", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceGreaterThan(BigDecimal value) {
            addCriterion("package_price >", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("package_price >=", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceLessThan(BigDecimal value) {
            addCriterion("package_price <", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("package_price <=", value, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceIn(List<BigDecimal> values) {
            addCriterion("package_price in", values, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceNotIn(List<BigDecimal> values) {
            addCriterion("package_price not in", values, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_price between", value1, value2, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackagePriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("package_price not between", value1, value2, "packagePrice");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsIsNull() {
            addCriterion("package_months is null");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsIsNotNull() {
            addCriterion("package_months is not null");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsEqualTo(Long value) {
            addCriterion("package_months =", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsNotEqualTo(Long value) {
            addCriterion("package_months <>", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsGreaterThan(Long value) {
            addCriterion("package_months >", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsGreaterThanOrEqualTo(Long value) {
            addCriterion("package_months >=", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsLessThan(Long value) {
            addCriterion("package_months <", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsLessThanOrEqualTo(Long value) {
            addCriterion("package_months <=", value, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsIn(List<Long> values) {
            addCriterion("package_months in", values, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsNotIn(List<Long> values) {
            addCriterion("package_months not in", values, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsBetween(Long value1, Long value2) {
            addCriterion("package_months between", value1, value2, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andPackageMonthsNotBetween(Long value1, Long value2) {
            addCriterion("package_months not between", value1, value2, "packageMonths");
            return (Criteria) this;
        }

        public Criteria andSelfCostIsNull() {
            addCriterion("self_cost is null");
            return (Criteria) this;
        }

        public Criteria andSelfCostIsNotNull() {
            addCriterion("self_cost is not null");
            return (Criteria) this;
        }

        public Criteria andSelfCostEqualTo(BigDecimal value) {
            addCriterion("self_cost =", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostNotEqualTo(BigDecimal value) {
            addCriterion("self_cost <>", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostGreaterThan(BigDecimal value) {
            addCriterion("self_cost >", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("self_cost >=", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostLessThan(BigDecimal value) {
            addCriterion("self_cost <", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostLessThanOrEqualTo(BigDecimal value) {
            addCriterion("self_cost <=", value, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostIn(List<BigDecimal> values) {
            addCriterion("self_cost in", values, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostNotIn(List<BigDecimal> values) {
            addCriterion("self_cost not in", values, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("self_cost between", value1, value2, "selfCost");
            return (Criteria) this;
        }

        public Criteria andSelfCostNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("self_cost not between", value1, value2, "selfCost");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitIsNull() {
            addCriterion("buy_times_limit is null");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitIsNotNull() {
            addCriterion("buy_times_limit is not null");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitEqualTo(Long value) {
            addCriterion("buy_times_limit =", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitNotEqualTo(Long value) {
            addCriterion("buy_times_limit <>", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitGreaterThan(Long value) {
            addCriterion("buy_times_limit >", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitGreaterThanOrEqualTo(Long value) {
            addCriterion("buy_times_limit >=", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitLessThan(Long value) {
            addCriterion("buy_times_limit <", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitLessThanOrEqualTo(Long value) {
            addCriterion("buy_times_limit <=", value, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitIn(List<Long> values) {
            addCriterion("buy_times_limit in", values, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitNotIn(List<Long> values) {
            addCriterion("buy_times_limit not in", values, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitBetween(Long value1, Long value2) {
            addCriterion("buy_times_limit between", value1, value2, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andBuyTimesLimitNotBetween(Long value1, Long value2) {
            addCriterion("buy_times_limit not between", value1, value2, "buyTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitIsNull() {
            addCriterion("use_times_limit is null");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitIsNotNull() {
            addCriterion("use_times_limit is not null");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitEqualTo(Long value) {
            addCriterion("use_times_limit =", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitNotEqualTo(Long value) {
            addCriterion("use_times_limit <>", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitGreaterThan(Long value) {
            addCriterion("use_times_limit >", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitGreaterThanOrEqualTo(Long value) {
            addCriterion("use_times_limit >=", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitLessThan(Long value) {
            addCriterion("use_times_limit <", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitLessThanOrEqualTo(Long value) {
            addCriterion("use_times_limit <=", value, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitIn(List<Long> values) {
            addCriterion("use_times_limit in", values, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitNotIn(List<Long> values) {
            addCriterion("use_times_limit not in", values, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitBetween(Long value1, Long value2) {
            addCriterion("use_times_limit between", value1, value2, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andUseTimesLimitNotBetween(Long value1, Long value2) {
            addCriterion("use_times_limit not between", value1, value2, "useTimesLimit");
            return (Criteria) this;
        }

        public Criteria andTotalTimesIsNull() {
            addCriterion("total_times is null");
            return (Criteria) this;
        }

        public Criteria andTotalTimesIsNotNull() {
            addCriterion("total_times is not null");
            return (Criteria) this;
        }

        public Criteria andTotalTimesEqualTo(Long value) {
            addCriterion("total_times =", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesNotEqualTo(Long value) {
            addCriterion("total_times <>", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesGreaterThan(Long value) {
            addCriterion("total_times >", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesGreaterThanOrEqualTo(Long value) {
            addCriterion("total_times >=", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesLessThan(Long value) {
            addCriterion("total_times <", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesLessThanOrEqualTo(Long value) {
            addCriterion("total_times <=", value, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesIn(List<Long> values) {
            addCriterion("total_times in", values, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesNotIn(List<Long> values) {
            addCriterion("total_times not in", values, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesBetween(Long value1, Long value2) {
            addCriterion("total_times between", value1, value2, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andTotalTimesNotBetween(Long value1, Long value2) {
            addCriterion("total_times not between", value1, value2, "totalTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesIsNull() {
            addCriterion("use_times is null");
            return (Criteria) this;
        }

        public Criteria andUseTimesIsNotNull() {
            addCriterion("use_times is not null");
            return (Criteria) this;
        }

        public Criteria andUseTimesEqualTo(Long value) {
            addCriterion("use_times =", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesNotEqualTo(Long value) {
            addCriterion("use_times <>", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesGreaterThan(Long value) {
            addCriterion("use_times >", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesGreaterThanOrEqualTo(Long value) {
            addCriterion("use_times >=", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesLessThan(Long value) {
            addCriterion("use_times <", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesLessThanOrEqualTo(Long value) {
            addCriterion("use_times <=", value, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesIn(List<Long> values) {
            addCriterion("use_times in", values, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesNotIn(List<Long> values) {
            addCriterion("use_times not in", values, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesBetween(Long value1, Long value2) {
            addCriterion("use_times between", value1, value2, "useTimes");
            return (Criteria) this;
        }

        public Criteria andUseTimesNotBetween(Long value1, Long value2) {
            addCriterion("use_times not between", value1, value2, "useTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesIsNull() {
            addCriterion("rest_times is null");
            return (Criteria) this;
        }

        public Criteria andRestTimesIsNotNull() {
            addCriterion("rest_times is not null");
            return (Criteria) this;
        }

        public Criteria andRestTimesEqualTo(Long value) {
            addCriterion("rest_times =", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesNotEqualTo(Long value) {
            addCriterion("rest_times <>", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesGreaterThan(Long value) {
            addCriterion("rest_times >", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesGreaterThanOrEqualTo(Long value) {
            addCriterion("rest_times >=", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesLessThan(Long value) {
            addCriterion("rest_times <", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesLessThanOrEqualTo(Long value) {
            addCriterion("rest_times <=", value, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesIn(List<Long> values) {
            addCriterion("rest_times in", values, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesNotIn(List<Long> values) {
            addCriterion("rest_times not in", values, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesBetween(Long value1, Long value2) {
            addCriterion("rest_times between", value1, value2, "restTimes");
            return (Criteria) this;
        }

        public Criteria andRestTimesNotBetween(Long value1, Long value2) {
            addCriterion("rest_times not between", value1, value2, "restTimes");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateIsNull() {
            addCriterion("effective_date is null");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateIsNotNull() {
            addCriterion("effective_date is not null");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateEqualTo(Date value) {
            addCriterion("effective_date =", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateNotEqualTo(Date value) {
            addCriterion("effective_date <>", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateGreaterThan(Date value) {
            addCriterion("effective_date >", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateGreaterThanOrEqualTo(Date value) {
            addCriterion("effective_date >=", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateLessThan(Date value) {
            addCriterion("effective_date <", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateLessThanOrEqualTo(Date value) {
            addCriterion("effective_date <=", value, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateIn(List<Date> values) {
            addCriterion("effective_date in", values, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateNotIn(List<Date> values) {
            addCriterion("effective_date not in", values, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateBetween(Date value1, Date value2) {
            addCriterion("effective_date between", value1, value2, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andEffectiveDateNotBetween(Date value1, Date value2) {
            addCriterion("effective_date not between", value1, value2, "effectiveDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateIsNull() {
            addCriterion("expiried_date is null");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateIsNotNull() {
            addCriterion("expiried_date is not null");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateEqualTo(Date value) {
            addCriterion("expiried_date =", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateNotEqualTo(Date value) {
            addCriterion("expiried_date <>", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateGreaterThan(Date value) {
            addCriterion("expiried_date >", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateGreaterThanOrEqualTo(Date value) {
            addCriterion("expiried_date >=", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateLessThan(Date value) {
            addCriterion("expiried_date <", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateLessThanOrEqualTo(Date value) {
            addCriterion("expiried_date <=", value, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateIn(List<Date> values) {
            addCriterion("expiried_date in", values, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateNotIn(List<Date> values) {
            addCriterion("expiried_date not in", values, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateBetween(Date value1, Date value2) {
            addCriterion("expiried_date between", value1, value2, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andExpiriedDateNotBetween(Date value1, Date value2) {
            addCriterion("expiried_date not between", value1, value2, "expiriedDate");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}