package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ResourceDataRegisterDataModel;
import com.lightinit.hsdataplatform.model.admin.ResourceDataRegisterListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceDataRegisterSearchModel;
import com.lightinit.hsdataplatform.model.admin.TreeModel;

import java.util.List;
import java.util.function.BiFunction;

/**
 * Created by WangYao on 2018/5/29.
 */
public interface ICommonService {

    List<TreeModel> querySectorTreeData(Long selectedId);

    List<TreeModel> queryResourceCatelogTreeData(String resourceCatelogType, Long selectedId);

    List<TreeModel> queryRoleTreeData(Long selectedId);

    List<TreeModel> queryModuleTreeData(List<Long> moduleIds, List<Long> selectedModuleIds, List<Long> selectedActionIds);
}
