package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.SentryRoleAction;

import java.util.List;

/**
 * @author WangYao
 * @date 2018/12/13 15:28
 * @description 基于角色的权限接口
 */
public interface IRolePermissionService {

    /**
     * @return 获取全部基于角色的权限，带缓存
     */
    List<SentryRoleAction> getAllRolePermissions();

    /**
     * 清除基于角色的权限缓存
     */
    void clearRolePermissionCache();
}
