<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://shiro.apache.org/tags" prefix="shiro" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<ul class="nav nav-menu metismenu" id="side-menu" >
    <li class="nav-header">
        <img alt="image" src="<%=resourcePath%>/images/logo.png" />
    </li>
    <li>
        <a href="<%=basePath%>/admin/home/"><i class="fa fa-home"></i> <span>首页</span></a>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-cogs"></i> <span class="nav-label">供需管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="data_supply:index"><li><a href="<%=basePath%>/admin/data_supply/index.htm">数据需求</a></li></shiro:hasPermission>
            <shiro:hasPermission name="microapp:index"><li><a href="<%=basePath%>/admin/microapp/index.htm">服务开发需求</a></li></shiro:hasPermission>
            <shiro:hasPermission name="data_supply_api:index"><li><a href="<%=basePath%>/admin/data_supply_api/index.htm">API开发需求</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-folder-open-o"></i> <span class="nav-label">资源活化</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="resource_catelog_mgr:index"><li><a href="<%=basePath%>/admin/resource_catelog_mgr/index.htm">目录定义</a></li></shiro:hasPermission>
            <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">数据目录</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="datacatelog_mgr:index"><li><a href="<%=basePath%>/admin/datacatelog_mgr/index.htm">目录管理</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="resource_atlas:index"><li><a href="<%=basePath%>/admin/datacatelog_mgr/imageIndex.htm">目录图谱</a></li></shiro:hasPermission>
                </ul>
            </li>
            <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">资源注册</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="data_register:index"><li><li><a href="<%=basePath%>/admin/data_register/index.htm">数据注册</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="data_register_api:index"><li><li><a href="<%=basePath%>/admin/data_register_api/index.htm">API注册</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="microapp_register:index"><li><li><a href="<%=basePath%>/admin/microapp_register/index.htm">微应用注册</a></li></shiro:hasPermission>
                </ul>
            </li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-cloud-upload"></i> <span class="nav-label">资源管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="datapublish_mgr:index"><li><a href="<%=basePath%>/admin/datapublish_mgr/index.htm">数据发布</a></li></shiro:hasPermission>
            <shiro:hasPermission name="data_audit:index"><li><a href="<%=basePath%>/admin/data_audit/index.htm">数据审核</a></li></shiro:hasPermission>
            <shiro:hasPermission name="DataRecommendation:index"><li><a href="<%=basePath%>/admin/DataRecommendation/defaultIndex.htm">数据推荐</a></li></shiro:hasPermission>
            <shiro:hasPermission name="api_publish:index"><li><a href="<%=basePath%>/admin/api_publish/index.htm">API发布</a></li></shiro:hasPermission>
            <shiro:hasPermission name="api_toExamine:index"><li><a href="<%=basePath%>/admin/api_toExamine/index.htm">API审核</a></li></shiro:hasPermission>
            <shiro:hasPermission name="APIRecommendation:index"><li><a href="<%=basePath%>/admin/APIRecommendation/defaultIndex.htm">API推荐</a></li></shiro:hasPermission>
            <shiro:hasPermission name="microapp_publish:index"><li><a href="<%=basePath%>/admin/microapp_publish/index.htm">微应用发布</a></li></shiro:hasPermission>
            <shiro:hasPermission name="microapp_register:aduit"><li><a href="<%=basePath%>/admin/microapp_publish/aduitIndex.htm">微应用审核</a></li></shiro:hasPermission>
            <shiro:hasPermission name="MicroappRecommendation:index"><li><a href="<%=basePath%>/admin/MicroappRecommendation/defaultIndex.htm">微应用推荐</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-balance-scale"></i> <span class="nav-label">流通管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="order_mgr:index"><li><a href="<%=basePath%>/admin/order_mgr/index.htm">订单管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="refund:index"><li><a href="<%=basePath%>/admin/refund/index.htm">退款管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="offline_conference:index"><li><a href="<%=basePath%>/admin/offline_conference/index.htm">线下洽谈</a></li></shiro:hasPermission>
            <shiro:hasPermission name="contract_mgr:index"><li><a href="<%=basePath%>/admin/contract/index.htm">合同管理</a></li></shiro:hasPermission>
            <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">结算管理</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="settlement_down:index"><li><a href="<%=basePath%>/admin/Downstream/index.htm">下游使用方结算</a></li></shiro:hasPermission>
                </ul>
            </li>
            <shiro:hasPermission name="invoice_mgr:index"><li><a href="<%=basePath%>/admin/Invoice/index.htm">发票管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="authorization:index"><li><a href="<%=basePath%>/admin/authorization/index.htm">授权管理</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-connectdevelop"></i> <span class="nav-label">资源图谱</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="RelationshipManage:index"><li><a href="<%=basePath%>/admin/RelationshipManage/index.htm">资源分类</a></li></shiro:hasPermission>
            <shiro:hasPermission name="resourceAllImg:index"><li><a href="<%=basePath%>/admin/resourceAllImg/allImage.htm">资源全景</a></li></shiro:hasPermission>
            <shiro:hasPermission name="resourceAllImg:index"><li><a href="<%=basePath%>/admin/resourceBasicsImg/allImage.htm">基础资源图谱</a></li></shiro:hasPermission>
            <shiro:hasPermission name="resourceAllImg:index"><li><a href="<%=basePath%>/admin/resourceShareImg/allImage.htm">共享资源图谱</a></li></shiro:hasPermission>
            <shiro:hasPermission name="resourceAllImg:index"><li><a href="<%=basePath%>/admin/resourceOpenImg/allImage.htm">开放资源图谱</a></li></shiro:hasPermission>
            <shiro:hasPermission name="resourceAllImg:index"><li><a href="<%=basePath%>/admin/resourceDeptImg/allImage.htm">数据交换图谱</a></li></shiro:hasPermission>
            <shiro:hasPermission name="atlas_use:index"><li><a href="javascript:void(0);">图谱应用</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-bar-chart"></i> <span class="nav-label">运营管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="resourceAndUserCount:index"><li><a href="<%=basePath%>/admin/resourceAndUserCount/index.htm">统计仪表盘</a></li></shiro:hasPermission>
           <%-- <li><a href="javascript:void(0);">资源数量统计</a></li>--%>
            <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">资源数量统计</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="resource_numsta:themeindex"><li><a href="<%=basePath%>/admin/resource_numsta/themeindex.htm">主题统计</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="resource_numsta:sectorindex"><li><a href="<%=basePath%>/admin/resource_numsta/sectorindex.htm">部门统计</a></li></shiro:hasPermission>
                </ul>
            </li>
            <li><a href="javascript:void(0);"><span class="nav-label">访问流量统计</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="catelogCount:index"><li><a href="<%=basePath%>/admin/catelogCount/index.htm">主题资源访问统计</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="SectorCount:index"><li><a href="<%=basePath%>/admin/SectorCount/index.htm">提供单位资源统计</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="ResourceCount:index"><li><a href="<%=basePath%>/admin/ResourceCount/index.htm">单项资源访问统计</a></li></shiro:hasPermission>
                </ul>
            </li>
           <%--<shiro:hasPermission name="tradeCount:index"><li><a href="javascript:void(0);">交易数量统计</a></li></shiro:hasPermission>--%>
               <li><a href="javascript:void(0);"><span class="nav-label">交易数量统计</span><span class="fa arrow"></span></a>
                   <ul class="nav nav-menu nav-third-level collapse">
                       <shiro:hasPermission name="catelogCount:index"><li><a href="<%=basePath%>/admin/themeStatistics/index.htm">主题交易统计</a></li></shiro:hasPermission>
                       <shiro:hasPermission name="SectorCount:index"><li><a href="<%=basePath%>/admin/themeStatistics/deptIndex.htm">部门交易统计</a></li></shiro:hasPermission>
                       <shiro:hasPermission name="ResourceCount:index"><li><a href="<%=basePath%>/admin/themeStatistics/resourceIndex.htm">资源交易统计</a></li></shiro:hasPermission>
                   </ul>
               </li>
          <%-- <shiro:hasPermission name="resourceRank:index"><li><a href="javascript:void(0);">资源排名统计</a></li></shiro:hasPermission>--%>
               <li><a href="javascript:void(0);"><span class="nav-label">资源排名统计</span><span class="fa arrow"></span></a>
                   <ul class="nav nav-menu nav-third-level collapse">
                       <shiro:hasPermission name="catelogCount:themeSortIndex"><li><a href="<%=basePath%>/admin/resource_numsta/themeSortIndex.htm">主题排名</a></li></shiro:hasPermission>
                       <shiro:hasPermission name="SectorCount:index"><li><a href="<%=basePath%>/admin/resource_numsta/sectorSortIndex.htm">部门排名</a></li></shiro:hasPermission>
                   </ul>
               </li>
               <shiro:hasPermission name="orderTrade:index"><li><a href="<%=basePath%>/admin/orderTrade/index.htm">订单趋势分析</a></li></shiro:hasPermission>
            <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">创业服务</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="activity_mgr:index"><li><a href="<%=basePath%>/admin/activity_mgr/index.htm">活动管理</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="roadshow_mgr:index"><li><a href="<%=basePath%>/admin/roadshow_mgr/index.htm">路演管理</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="roadshow_audit:index"><li><a href="<%=basePath%>/admin/roadshow_audit/index.htm">路演审核</a></li></shiro:hasPermission>
                </ul>
            </li>

           <%--<shiro:hasPermission name="consult_mgr:index"><li><a href="<%=basePath%>/admin/consult_mgr/index.htm">资讯管理</a></li></shiro:hasPermission>--%>
           <li class="last-child">
                <a href="javascript:void(0);"><span class="nav-label">资讯管理</span><span class="fa arrow"></span></a>
                <ul class="nav nav-menu nav-third-level collapse">
                    <shiro:hasPermission name="consult_mgr:index"><li><a href="<%=basePath%>/admin/consult_mgr/index.htm">资讯管理</a></li></shiro:hasPermission>
                    <shiro:hasPermission name="consult_mgr:logIndex"><li><a href="<%=basePath%>/admin/consult_mgr/logIndex.htm">资讯日志</a></li></shiro:hasPermission>
                </ul>
            </li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-address-card-o"></i> <span class="nav-label">账户管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="accountManage:balance_index"><li><a href="<%=basePath%>/admin/accountManage/balance_index.htm">账户余额查询</a></li></shiro:hasPermission>
            <shiro:hasPermission name="accountManage:recharge_index"><li><a href="<%=basePath%>/admin/accountManage/recharge_index.htm">充值记录查询</a></li></shiro:hasPermission>
            <shiro:hasPermission name="accountManage:transaction_index"><li><a href="<%=basePath%>/admin/accountManage/transaction_index.htm">交易记录查询</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-users"></i> <span class="nav-label">客户管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
           <%-- <li><a href="javascript:void(0);">实名用户管理</a></li>--%>
           <li class="last-child">
               <a href="javascript:void(0);"><span class="nav-label">实名用户管理</span><span class="fa arrow"></span></a>
               <ul class="nav nav-menu nav-third-level collapse">
                   <shiro:hasPermission name="userpersonal_mgr:authUserIndex"><li><a href="<%=basePath%>/admin/userpersonal_mgr/authUserIndex.htm">个人用户实名列表</a></li></shiro:hasPermission>
                   <shiro:hasPermission name="usercompany_mgr:index"><li><a href="<%=basePath%>/admin/usercompany_mgr/index.htm">企业用户实名列表</a></li></shiro:hasPermission>
               </ul>
           </li>
           <shiro:hasPermission name="usercompany_mgr:registerUserIndex"><li><a href="<%=basePath%>/admin/userpersonal_mgr/registerUserIndex.htm">注册用户查询</a></li></shiro:hasPermission>
           <shiro:hasPermission name="usercompany_mgr:registerUserStatisticsIndex"><li><a href="<%=basePath%>/admin/userpersonal_mgr/registerUserStatisticsIndex.htm">用户量统计</a></li></shiro:hasPermission>
           <shiro:hasPermission name="usercompany_mgr:registerUserGraphIndex"><li><a href="<%=basePath%>/admin/userpersonal_mgr/registerUserGraphIndex.htm">用户增长趋势分析</a></li></shiro:hasPermission>
           <shiro:hasPermission name="service_provider:index"><li><a href="<%=basePath%>/admin/service_provider/index.htm">服务商管理</a></li></shiro:hasPermission>
           <shiro:hasPermission name="partner:index"><li><a href="<%=basePath%>/admin/partner/index.htm">合作伙伴管理</a></li></shiro:hasPermission>
            <li class="last-child">
               <a href="javascript:void(0);"><span class="nav-label">消息服务</span><span class="fa arrow"></span></a>
               <ul class="nav nav-menu nav-third-level collapse">
                   <%--<shiro:hasPermission name="notification_mgr:index"><li><a href="<%=basePath%>/admin/notification_mgr/index.htm">站内消息</a></li></shiro:hasPermission>--%>
                   <shiro:hasPermission name="leavemessage_mgr:index"><li><a href="<%=basePath%>/admin/leavemessage_mgr/index.htm">留言反馈</a></li></shiro:hasPermission>
               </ul>
            </li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-users"></i> <span class="nav-label">通知服务</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="accountManage:balance_index"><li><a href="<%=basePath%>/admin/smsswitch/smsswitch.htm">短信通知服务</a></li></shiro:hasPermission>
            <shiro:hasPermission name="notification_mgr:index"><li><a href="<%=basePath%>/admin/notification_mgr/index.htm">站内消息服务</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-bell-o"></i> <span class="nav-label">运维管理</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="runing_monitoring:index"><li><a href="<%=basePath%>/admin/runing_monitoring/runing_monitoring.htm">运行监控</a></li></shiro:hasPermission>
            <%--<shiro:hasPermission name="business_monitoring:index"><li><a href="javascript:void(0);">业务监控</a></li></shiro:hasPermission>--%>
            <shiro:hasPermission name="loggerMoniter:index"><li><a href="<%=basePath%>/admin/loggerMoniter/index.htm">用户日志监控</a></li></shiro:hasPermission>
            <shiro:hasPermission name="loggerMoniter:yunxingindex"><li><a href="<%=basePath%>/admin/loggerMoniter/yunxingindex.htm">运行状态监控</a></li></shiro:hasPermission>
            <shiro:hasPermission name="loggerMoniter:liuliangindex"><li><a href="<%=basePath%>/admin/loggerMoniter/liuliangindex.htm">运行流量监控</a></li></shiro:hasPermission>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-gear"></i> <span class="nav-label">配置中心</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <shiro:hasPermission name="sector_mgr:index"><li><a href="<%=basePath%>/admin/sector_mgr/index.htm">部门管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="role_mgr:index"><li><a href="<%=basePath%>/admin/role_mgr/index.htm">角色管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="user:index"><li><a href="<%=basePath%>/admin/user/index.htm">用户管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="module_mgr:index"><li><a href="<%=basePath%>/admin/module_mgr/index.htm">模块管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="module_mgr:index"><li><a href="javascript:void(0);">权限管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="dictionary_mgr:index"><li><a href="<%=basePath%>/admin/dictionary_mgr/index.htm">字典管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="tag:index"><li><a href="<%=basePath%>/admin/tag/index.htm">标签管理</a></li></shiro:hasPermission>
            <shiro:hasPermission name="HotWord:index"><li><a href="<%=basePath%>/admin/HotWord/index.htm">热搜词配置</a></li></shiro:hasPermission>
        </ul>
    </li>
</ul>
<script type="text/javascript" >
    $("#side-menu").find("ul").each(function () {
        if ($(this).children("li").length == 0){
            $(this).parent().remove();
        }
    });
    $("#side-menu").find("ul").each(function () {
        if ($(this).children("li").length == 0){
            $(this).parent().remove();
        }
    });
</script>