<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp">
    <jsp:param name="modal_title" value="定价详情"/>
</jsp:include>
<form id="formAdd"  action="<%=basePath%>/admin/data_register_api/apiInterface_add.action" method="post" class="form-horizontal">
    <div class="form-group">
        <div class="form-group">
            <label for="chargeMethod" class="col-lg-3  text-right">计费方式</label>
            <div id="chargeMethod">
                ${publishSetting.chargeMethod}
            </div>
        </div>
        <div class="form-group">
            <label for="packageName" class="col-lg-3  text-right">套餐名称</label>
            <div id="packageName">
                ${publishSetting.packageName}
            </div>
        </div>
        <div class="form-group">
            <label for="packagePrice" class="col-lg-3  text-right">套餐价格</label>
            <div id="packagePrice">
                ${publishSetting.packagePrice}元/ ${publishSetting.packageMonths}月
            </div>
            <div class="col-sm-3">

            </div>
        </div>
        <div class="form-group">
            <label for="selfCost" class="col-lg-3  text-right">套餐成本</label>
            <div id="selfCost">
                ${publishSetting.selfCost}
            </div>
        </div>
        <div class="form-group">
            <label for="buyTimesLimit" class="col-lg-3  text-right">购买次数限制</label>
            <div id="buyTimesLimit">
               ${publishSetting.buyTimesLimit}
            </div>
        </div>
        <div class="form-group">
            <label for="useTimesLimit" class="col-lg-3  text-right">使用限制</label>
            <div id="useTimesLimit">
                ${publishSetting.useTimesLimit}
            </div>
        </div>
        <div class="form-group">
            <label for="effectiveDate" class="col-lg-3  text-right">生效日期</label>
            <div id="effectiveDate">
                <fmt:formatDate value="${publishSetting.effectiveDate}" pattern="yyyy-MM-dd"/>
            </div>
        </div>
        <div class="form-group">
            <label for="expiriedDate" class="col-lg-3  text-right">失效日期</label>
            <div id="expiriedDate">
                <fmt:formatDate value="${publishSetting.expiriedDate}" pattern="yyyy-MM-dd"/>
            </div>
        </div>
        <div class="form-group">
            <label for="description" class="col-lg-3  text-right">套餐说明</label>
            <div id="description">
                ${publishSetting.description}
            </div>
        </div>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script type="text/javascript">
    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>