<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceState" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>目录分类</th>
            <th>API名称</th>
            <th>服务标识</th>
            <th>服务简介</th>
            <th>提供单位</th>
            <th>提交日期</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.catelogType}</td>
                        <td>${item.resourceName}</td>
                        <td>${item.resourceIdentity}</td>
                        <td>${item.resourceSummary}</td>
                        <td>${item.providerName}</td>
                        <td><fmt:formatDate value="${item.registerDate}" pattern="yyyy-MM-dd"/></td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <button  class="btn btn-sm btn-primary m-r-sm" onclick="editButton(${item.id})"><i class="fa fa-edit"></i>编辑</button>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    function editButton(id) {
        window.location.href = "<%=basePath%>/admin/api_publish/publish_edit.htm/"+id ;
    }
</script>