<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
   <%-- <link href="<%=basePath %>/resource/plugins/bootstrap/css/bootstrap.css" rel="stylesheet">--%>
    <%--<script src="<%=basePath %>/resource/plugins/jquery/jquery-2.1.4.js"></script>--%>
   <%-- <script src="<%=basePath %>/resource/plugins/summernote/ceshi/jquery-3.2.1.min.js"></script>--%>
    <%--<script src="<%=basePath %>/resource/plugins/bootstrap/js/bootstrap.js"></script>--%>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <h2>资讯管理</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" >运营管理</a>
                    </li>
                    <li class="active">
                        <strong>资讯管理</strong>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
    <input type="hidden" name="formSerialize" />
    <input type="hidden" name="pageNo" value="1" />
    <form id="formSearch" action="<%=basePath%>/admin/data_register/list.action" method="get" class="form-inline">
        <div class="form-group">
            <label for="newsTitle">数据名称</label>
            <input type="text" id="newsTitle" name="newsTitle" class="form-control" />
        </div>
        <%--<div class="form-group">
            <label for="registerDateFrom">提交日期</label>
            <div class="input-group date">
                <input type="text" id="registerDateFrom" name="registerDateFrom" class="form-control" />
                <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
            </div>
            -
            <div class="input-group date">
                <input type="text" id="registerDateTo" name="registerDateTo" class="form-control" />
                <span class="input-group-addon">
                        <span class="glyphicon glyphicon-calendar"></span>
                    </span>
            </div>
        </div>--%>
        <%--<div class="form-group">
            <label for="newsState">状态</label>
            <select id="newsState" name="newsState" class="form-control">
                <option></option>
                <c:forEach items="${dicResourceState}" var="item" >
                    <option value="${item.key}">${item.value}</option>
                </c:forEach>
            </select>
        </div>--%>
        <div class="form-group">
            <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
            <button id="btnReset" type="button" class="btn btn-sm btn-default"><i class="fa fa-reply"></i>重置</button>
        </div>
    </form>
    <jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
    <button id="btnAdd" type="button" class="btn btn-sm btn-primary btn-position" ><i class="fa fa-plus"></i>新增</button>
    <jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
    <div id="divGrid">
    </div>
    <jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
    <link href="<%=basePath %>/resource/plugins/summernote/summernote.css" rel="stylesheet">
    <script src="<%=basePath %>/resource/plugins/summernote/summernote.js"></script>
</body>
<script type="text/javascript">
    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });

    function search() {
        var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
        var pageNo = $("input[type='hidden'][name='pageNo']").val();
        var formData = formSerialize + "&pageNo=" + pageNo;
        $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/consult_mgr/list.action", data: formData });
    }

    $("#btnSearch").click(function () {
        $("input[type='hidden'][name='pageNo']").val(1);
        $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
        search();
    });

    $("#btnReset").click(function () {
        $("#newsTitle").val("");
    });

    $("#btnAdd").click(function () {
        $.popBsPartial({ url: "<%=basePath%>/admin/consult_mgr/add.htm", size: WySharpSize.Large });
    });

    search();




</script>
</html>