<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div>

    <table id="resourceListTable"  class="table table-striped table-bordered table-hover" >
        <thead>
        <tr>
            <th></th>
            <th>资源类型</th>
            <td>资源主题</td>
            <th>资源名称</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${resourceList!=null}">
                <c:forEach items="${resourceList}" var="item" >
                    <tr>
                        <td><input  type="radio"    name="radio" value="${item.publishInfoId}" /></td>
                        <td>${item.resourceType}</td>
                        <td>${item.catelogName}</td>
                        <td>${item.resourceName}</td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
    <jsp:include page="../../../common/admin/pager.jsp">
        <jsp:param name="pageNo" value="${pager.pageNo}"/>
        <jsp:param name="pageSize" value="${pager.pageSize}"/>
        <jsp:param name="total" value="${pager.total}"/>
        <jsp:param name="pagerId" value="pagerResourceList"/>
        <jsp:param name="searchFunction" value="searchResourceList();"/>
        <jsp:param name="pageHidenId" value="pageNoResourceList"/>
    </jsp:include>

</div>
<script type="text/javascript">

</script>

