<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <ol class="breadcrumb">
                    <li style="color: #00b3ee">
                        <a href="<%=basePath%>/admin/DataRecommendation/defaultIndex.htm" style="font-size: 20px">默认排序</a>
                    </li>
                    <li >
                        <a href="<%=basePath%>/admin/DataRecommendation/selection.htm" style="font-size: 20px">精选排序</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/DataRecommendation/home.htm" style="font-size: 20px">首页排序</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
<input type="hidden" name="formSerialize" />
<input type="hidden" name="pageNo" value="1" />
<form id="formSearch" action="<%=basePath%>/admin/DataRecommendation/queryDefaultList.action" method="get" class="form-inline">

    <div class="form-group">
        <label for="resourceName">服务名称</label>
        <input type="text" id="resourceName" name="resourceName" class="form-control" />
    </div>
    <div class="form-group">
        <label for="provider">所属单位</label>
        <input type="hidden" id="provider" name="provider" />
        <button type="button" class="btn btn-default dropdown-toggle" style="min-width: 120px; text-align: right;">
            <span class="caret" style="margin-left: 10px;"></span>
        </button>
        <div id="divSectorTree"></div>
    </div>

    <div class="form-group">
        <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
    </div>
</form>
<jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
<jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
<div id="divGrid">
</div>
<jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
<script type="text/javascript">
    function search() {
        var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
        var pageNo = $("input[type='hidden'][name='pageNo']").val();
        var formData = formSerialize + "&pageNo=" + pageNo;
        $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/DataRecommendation/queryDefaultList.action", data: formData });
    }

    $("#btnSearch").click(function () {
        $("input[type='hidden'][name='pageNo']").val(1);
        $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
        search();
    });

    $("#btnAdd").click(function () {
        $.popBsPartial({ url: "<%=basePath%>/admin/service_provider/add.htm" });
    });

    search();
    $("#divSectorTree").selectTree({url: "<%=basePath%>/admin/common/sector_tree_data.action"});
</script>
</body>
</html>