<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>订单编号</th>
            <th>订单时间</th>
            <th>使用方</th>
            <th>资源类型</th>
            <th>资源名称</th>
            <th>使用次数</th>
            <th>可用次数</th>
            <th>交易金额</th>
            <%--<th class="hidden-print">操 作</th>--%>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.orderNumber}</td>
                        <td><fmt:formatDate value="${item.orderTime}" pattern="yyyy-MM-dd"></fmt:formatDate> </td>
                        <td>${item.userName}</td>
                        <td>${item.resourceType}</td>
                        <td>${item.resourceName}</td>
                        <td>${item.useTimes}</td>
                        <td>${item.restTimes}</td>
                        <td>${item.packagePrice}</td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")

</script>