<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
    <link  rel="stylesheet" type="text/css" href="<%=basePath%>/resource/css/admin/home/index.css">
</head>
<body>
    <jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
    <shiro:lacksRole name="admin">
        <div class="row hidden-print">
            <div class="col-lg-12 col-md-12 col-sm-12 text-center" style="margin-top: 50px;">
                <p style="font-size: 40px;">欢迎使用大数据平台业务管理系统</p>
                <p style="font-size: 20px;margin-top: 20px;">版本 V1.0</p>
            </div>
        </div>
    </shiro:lacksRole>
    <shiro:hasRole name="admin">
        <div class="row hidden-print">
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top1"><i class="fa fa-cogs" class=""></i><span>供需管理</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/data_supply/index.htm">数据需求</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/microapp/index.htm" >服务开发需求</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/data_supply_api/index.htm" >API开发需求</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top2"><i class="fa fa-folder-open-o" class=""></i><span>资源活化</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/resource_catelog_mgr/index.htm" >目录定义</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/datacatelog_mgr/index.htm">数据目录管理</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/data_register/index.htm">资源注册</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top3"><i class="fa fa-cloud-upload" class=""></i><span>资源管理</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/datapublish_mgr/index.htm">数据发布</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/api_publish/index.htm" >API发布</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/microapp_publish/index.htm" >微应用发布</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top4"><i class="fa fa-bar-chart" class=""></i><span>运营管理</span></li>
                    <li>
                        <a href="javascript:void(0);">资源数量统计</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" >访问流量统计</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" >交易数量统计</a>
                    </li>
                </div>
            </div>
        </div>
        <div class="row hidden-print">
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top1" style="background-color: #333366"><i class="fa fa-balance-scale" class=""></i><span>流通管理</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/authorization/index.htm">授权管理</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/order_mgr/index.htm" >订单管理</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/offline_conference/index.htm" >线下洽谈</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top2" style="background-color: #99CC33"><i class="fa fa-connectdevelop" class=""></i><span>资源图谱</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/RelationshipManage/index.htm">资源分类</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/resourceAllImg/allImage.htm">资源全景</a>
                    </li>
                    <%--<li>
                        <a href="<%=basePath%>/admin/resourceBasicsImg/allImage.htm">基础资源图谱</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/resourceShareImg/allImage.htm">共享资源图谱</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/resourceOpenImg/allImage.htm">开放资源图谱</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/resourceDeptImg/allImage.htm">部门资源图谱</a>
                    </li>--%>
                    <li>
                        <a href="javascript:void(0);">图谱应用</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top3" style="background-color: #CC9933"><i class="fa fa-address-card-o" class=""></i><span>账户管理</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/accountManage/balance_index.htm">账户余额查询</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/accountManage/recharge_index.htm" >充值记录查询</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/accountManage/transaction_index.htm" >交易记录查询</a>
                    </li>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="ibox shortcut">
                    <li class="shortcut-top4" style="background-color: #CCCC99"><i class="fa fa-users" class=""></i><span>用户服务</span></li>
                    <li>
                        <a href="<%=basePath%>/admin/userpersonal_mgr/authUserIndex.htm">个人用户实名列表</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/usercompany_mgr/index.htm" >企业用户实名列表</a>
                    </li>
                    <li>
                        <a href="<%=basePath%>/admin/userpersonal_mgr/registerUserIndex.htm" >注册用户查询</a>
                    </li>
                </div>
            </div>
        </div>
        <div class="row hidden-print">
        <div class="col-lg-3">
            <div class="ibox shortcut">
                <li class="shortcut-top2" style="background-color: #003300"><i class="fa fa-gear" class=""></i><span>配置中心</span></li>
                <li>
                    <a href="<%=basePath%>/admin/user/index.htm" >用户管理</a>
                </li>
                <li>
                    <a href="<%=basePath%>/admin/role_mgr/index.htm">角色管理</a>
                </li>
                <li>
                    <a href="<%=basePath%>/admin/role_mgr/index.htm">权限管理</a>
                </li>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox shortcut">
                <li class="shortcut-top1" style="background-color: #F00000"><i class="fa fa-bell-o" class=""></i><span>运维管理</span></li>
                <li>
                    <a href="<%=basePath%>/admin/runing_monitoring/runing_monitoring.htm">运行监控</a>
                </li>
                <li>
                    <a href="javascript:void(0);" >业务监控</a>
                </li>
            </div>
        </div>
    </div>
    </shiro:hasRole>
    <jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
</body>
</html>