<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>

            <th>服务名称</th>
            <th>服务标示</th>
            <th>服务简介</th>
            <th>提供单位</th>
            <th>主题分类</th>
            <th>提交日期</th>
            <th>状态</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>

                        <td>${item.resourceName}</td>
                        <td>${item.resourceIdentity}</td>
                        <td>${item.resourceSummary}</td>
                        <td>${item.provider}</td>
                        <td>${item.themename}</td>
                        <td><fmt:formatDate value="${item.registerDate}" pattern="yyyy-MM-dd"/></td>
                        <td>${item.resourceState}</td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <button name="btnEdit"  class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>发布</button>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnEdit']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/microapp_publish/publish.htm/" + id });
        });
    <%--function btnEdit() {--%>
        <%--window.location.href="<%=basePath%>/admin/microapp_publish/publish.htm?id="+${item.id};--%>
    <%--}--%>

</script>