<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="审核"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/microapp_register/AddService.action" method="post" class="form-horizontal">
    <input type="hidden" name="id" value="${busiModel.id}" />
    <input type="hidden" name="outId1" id="outId1" value="${busiModel.outId1}">
    <div class="form-group">
            <label class="col-md-3 col-sm-3 control-label" >微应用名称：</label>

        <div class="col-md-7 col-sm-7">
            <p class="form-control-static"> ${busiModel.resourceName}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
            <label class="col-md-3 col-sm-3 control-label" >微应用标示：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.resourceIdentity}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
            <label  class="col-md-3 col-sm-3 control-label">微应用简介：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.resourceSummary}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
            <label class="col-md-3 col-sm-3 control-label" >注册日期：</label>
        <div class="col-md-7 col-sm-7">

            <p class="form-control-static"><fmt:formatDate value="${busiModel.registerDate}" pattern="yyyy-MM-dd"/></p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">提供单位：</label>
        <div  >
            <p class="form-control-static">${microapp.provider}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务方式：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceMethod}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务渠道：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceChannel}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">演示地址：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.demoUrl}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">访问URL：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.url}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">页面截图：</label>
        <div class="col-md-7 col-sm-7">
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">目录分类：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.catelogType}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label text-right">基础分类：</label>
        <div >
            <p class="form-control-static">${microapp.basicname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">部门分类：</label>
        <div >
            <p class="form-control-static">${microapp.sectorname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">主题分类：</label>
        <div >
            <p class="form-control-static"> ${microapp.themename}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">自定义分类：</label>
        <div >
            <p class="form-control-static">${microapp.customname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">共享类型：</label>
        <div class="col-md-7 col-sm-7">
            <%--<select id="shareType" name="shareType" class="form-control" value="${busiModel.shareType}">--%>
            <%--<option></option>--%>
            <%--<c:forEach items="${dicResourceShareType}" var="item" >--%>
            <%--<option value="${item.key}" ${item.key == busiModel.shareType ? "selected=\"selected\"" : ""}>${item.value}</option>--%>
            <%--</c:forEach>--%>
            <%--</select>--%>
                <p class="form-control-static"> ${busiModel.shareType}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">开放类型：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static"> ${busiModel.openType}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">是否可交易：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.allowDeal == 0 ? "否" : ""}
                ${busiModel.allowDeal == 1 ? "是" : ""}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务标签：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceTag}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

    <%--===============================================================--%>
    <%@ include file="../../admin/data_register_api/registerService.jsp" %>

    <div class="form-group">
        <label for="lesseeId" class="col-sm-2 control-label">租户</label>
        <div class="col-md-7 col-sm-7">
            <input id="namespace" name="namespace" type="hidden">
            <select id="lesseeId" name="lesseeId" class="form-control" onchange="selectOnchang(this)">
                <option></option>
                <c:if test="${lessList.data.size()>0}">
                    <c:forEach items="${lessList.data}" var="item" >
                        <option value="${item.id}">${item.namespaceName}</option>
                    </c:forEach>
                </c:if>
            </select>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <%--===================================================================--%>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label"for="auditOpinion">审核意见：</label>
        <textarea style="width: 300px" id="auditOpinion" name="auditOpinion" style="width: 100%;height: 30px;"></textarea>
        <span class="field-validation-valid help-block"></span>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<td class="btn-table hidden-print">
    <button name="btnPass" id="btnPass" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>通过</button>
    <button name="btnNoPass" id="btnNoPass" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>驳回</button>
</td>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script type="text/javascript">
    $("#btnPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="auditStatus" value="1">')
        $('#formEdit').ajaxSubmit(function (data) {
            $(".close").click();
            window.parent.search();
        });
    });
    $("#btnNoPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="auditStatus" value="2">')
        $('#formEdit').ajaxSubmit(function (data) {
            window.parent.search();
            $(".close").click();
        });
    });
    function selectOnchang(choose){
        //获取被选中的option标签选项
        debugger ;
        $('#namespace').val(choose.options[choose.selectedIndex].text) ;
    }

</script>