<%@ page import="com.lightinit.hsdataplatform.dictionary.DicPublishApiState" %>
<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>发布日期</th>
            <th>资源类型</th>
            <th>资源名称</th>
            <th>服务商名称</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td><fmt:formatDate value="${item.createdAt}" pattern="yyyy-MM-dd"></fmt:formatDate> </td>
                        <td>${item.resourceType}</td>
                        <td>${item.resourceName}</td>
                        <td></td>
                        <td>
                            <input type="hidden" name="id" value="${item.resourceId}" />
                            <input type="hidden" name="resourceType" value="${item.resourceType}" />
                            <button name="btnEdit" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>编辑</button>
                            <button name="btnDetail" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-check"></i>详情</button>
                            <button name="btnCaller" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>调用</button>
                            <button name="btnCallee" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>被调用</button>

                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnEdit']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/RelationshipManage/edit.htm/"+id });
        })
        .on("click", "button[name='btnDetail']", function () {

            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            var resourceType = $(this).parent().children("input[type='hidden'][name='resourceType']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/RelationshipManage/detal.htm/"+id+"/"+resourceType });
        })
        .on("click", "button[name='btnCaller']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/RelationshipManage/caller.action/"+id });
        })
        .on("click", "button[name='btnCallee']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/RelationshipManage/callee.action/"+id });
        })

</script>