<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <h2>运维管理</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" >资源数量统计</a>
                    </li>
                    <li class="active">
                        <strong>主题统计排名</strong>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
<input type="hidden" name="formSerialize" />
<jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
<jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
<div id="divGrid">
</div>
<jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
<script type="text/javascript">

    $("#btnReset").click(function () {
        $('#formSearch').resetForm();
    });

    function search() {
        var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
        $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/resource_numsta/sectorSortList.action", data: formSerialize });
    }

    $("#btnSearch").click(function () {
        $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
        search();
    });

    search();


    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>
</body>
</html>