<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="编辑"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/usercompany_mgr/auth.action" method="post" role="form">
   <input type="hidden" name="id" value="${busiModel.id}"/>
    <div class="form-group">
        <label for="companyName">公司名称</label>
        <input type="text" id="companyName" name="companyName" class="form-control" disabled value="${busiModel.companyName}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="address">详细地址</label>
        <input type="text" id="address" name="address" class="form-control" disabled value="${busiModel.address}" />
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label for="commercialInstrument">营业执照编号</label>
        <input type="text" id="commercialInstrument" name="commercialInstrument" class="form-control" disabled value="${busiModel.commercialInstrument}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="taxRegistrationCertificate">税务登记编号</label>
        <input type="text" id="taxRegistrationCertificate" name="taxRegistrationCertificate" class="form-control" disabled value="${busiModel.taxRegistrationCertificate}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="orgCode">组织编号</label>
        <input type="text" id="orgCode" name="orgCode" class="form-control" disabled value="${busiModel.orgCode}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>营业执照副本</label>
        <input type="image" src="" alt=""></image>
    </div>
    <div class="form-group">
        <label for="contact">联系人姓名</label>
        <input type="text" id="contact" name="contact" class="form-control" disabled value="${busiModel.contact}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="idCard">联系人身份证号</label>
        <input type="text" id="idCard" name="idCard" class="form-control" disabled value="${busiModel.idCard}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone">手机号码</label>
        <input type="text" id="phone" name="phone" class="form-control" disabled value="${busiModel.phone}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="email">公司邮箱</label>
        <input type="text" id="email" name="email" class="form-control" disabled value="${busiModel.email}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="serviceCategory">行业分类</label>
        <input type="text" id="serviceCategory" name="serviceCategory" class="form-control" disabled value="${busiModel.serviceCategory}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <%--<div class="form-group">
    <label for="idCard">标签</label>
    <input type="text" id="idCard" name="idCard" class="form-control" disabled value="${busiModel.idCard}" />
    <span class="field-validation-valid help-block"></span>
</div>--%>
   <%-- <div class="form-group">
        <label for="authResult">审核状态</label>
        <input type="text" id="authResult" name="authResult" class="form-control" disabled value="${busiModel.authResult}" />
        <span class="field-validation-valid help-block"></span>
    </div>--%>
    <div class="form-group">
        <label for="authOpinion">审核意见</label>
        <input type="text" id="authOpinion" name="authOpinion" class="form-control"  />
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button name="btnEdit" id="btnEdit" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>审核通过</button>
<button name="btnDelete" id="btnDelete" class="btn btn-sm btn-danger"><i class="fa fa-trash-o"></i>审核不通过</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script type="text/javascript">
    $("#btnEdit").click(function() {
        $("#formEdit").append("<input type='hidden' name='param' value='1'/>");
        $('#formEdit').ajaxSubmitCloseRefresh();
    })
    $("#btnDelete").click(function() {
        $("#formEdit").append("<input type='hidden' name='param' value='2'/>");
        $('#formEdit').ajaxSubmitCloseRefresh();
    })
</script>