<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="企业实名认证详情"/></jsp:include>
<form id="formEdit" >
    <div class="form-group">
        <label for="companyName">公司名称:</label>
        <label id="companyName" name="companyName" >${busiModel.companyName}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="address">详细地址:</label>
        <label id="address" name="address" >${busiModel.address}</label>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label for="commercialInstrument">营业执照编号:</label>
        <label id="commercialInstrument" name="commercialInstrument" >${busiModel.commercialInstrument}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="taxRegistrationCertificate">税务登记编号:</label>
        <label id="taxRegistrationCertificate" name="taxRegistrationCertificate" >${busiModel.taxRegistrationCertificate}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="orgCode">组织编号:</label>
        <label id="orgCode" name="orgCode" >${busiModel.orgCode}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>营业执照副本:</label>
        <image src="" alt=""></image>
    </div>
    <div class="form-group">
        <label for="contact">联系人姓名:</label>
        <label id="contact" name="contact" >${busiModel.contact}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="idCard">联系人身份证号:</label>
        <label id="idCard" name="idCard" >${busiModel.idCard}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone">手机号码:</label>
        <label id="phone" name="phone" >${busiModel.phone}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="email">公司邮箱:</label>
        <label id="email" name="email" >${busiModel.email}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="serviceCategory">行业分类:</label>
        <label id="serviceCategory" name="serviceCategory" >${busiModel.serviceCategory}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <%--<div class="form-group">
    <label for="idCard">标签</label>
    <label ="idCard" name="idCard" >${busiModel.idCard}</label>
    <span class="field-validation-valid help-block"></span>
</div>--%>
    <div class="form-group">
        <label for="authResult">审核状态:</label>
        <label id="authResult" name="authResult" >${busiModel.authResult}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="authOpinion">审核意见:</label>
        <label id="authOpinion" name="authOpinion" >${busiModel.authOpinion==null?'无':busiModel.authOpinion}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal">确定</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>