<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
    <div class="row hidden-print">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title">
                    <h2>企业实名认证</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a href="javascript:void(0);" >用户服务</a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" >实名用户管理</a>
                        </li>
                        <li class="active">
                            <strong>企业实名认证</strong>
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
    <input type="hidden" name="formSerialize" />
    <input type="hidden" name="pageNo" value="1" />
    <form id="formSearch" action="<%=basePath%>/admin/userpersonal_mgr/list.action" method="get" class="form-inline">
        <div class="form-group">
            <label for="companyName">企业名称</label>
            <input type="text" id="companyName" name="companyName" class="form-control" />
        </div>
        <div class="form-group">
            <label for="phone">手机号码</label>
            <input type="text" id="phone" name="phone" class="form-control" />
        </div>
        <div class="form-group">
            <label for="dicCompanyState">项目状态</label>
            <select id="dicCompanyState" name="dicCompanyState" class="form-control">
                <option></option>
                <c:forEach items="${dicCompanyState}" var="item" >
                    <option value="${item.key}">${item.value}</option>
                </c:forEach>
            </select>
        </div>
        <div class="form-group">
            <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
        </div>
        <div class="form-group">
        <button id="btnReset" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>重置</button>
        </div>
    </form>
    <jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
    <div id="divGrid">
    </div>
    <jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
    <script type="text/javascript">
        function search() {
            var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
            var pageNo = $("input[type='hidden'][name='pageNo']").val();
            var formData = formSerialize + "&pageNo=" + pageNo;
            $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/usercompany_mgr/list.action", data: formData });
        }

        $("#btnSearch").click(function () {
            $("input[type='hidden'][name='pageNo']").val(1);
            $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
            search();
        });

        $("#btnReset").click(function () {
            $('#formSearch').resetForm();
        });

        search();
    </script>
</body>
</html>