<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <%--<th>序号</th>--%>
            <th>姓名</th>
            <th>用户名</th>
            <th>手机号码</th>
            <th>注册时间</th>
            <th>认证时间</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" varStatus="status">
                    <tr>
                        <%--<td>${status.index+1}</td>--%>
                        <td>${item.fullName}</td>
                        <td>${item.username}</td>
                        <td>${item.phone}</td>
                        <td><fmt:formatDate value="${item.createdAt}"  type="Date" pattern="yyyy-MM-dd"/></td>
                        <td><fmt:formatDate value="${item.authAt}"  type="Date" pattern="yyyy-MM-dd"/></td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <button name="btnDetail" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>详情</button>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")

        .on("click", "button[name='btnDetail']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/userpersonal_mgr/detail.htm/" + id });
        })
        .on("click", "button[name='btnDelete']", function() {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.delWithConfirm({ func: $.ajaxGetRefresh, funcArgs: { ajaxGetOptions: { url: "<%=basePath%>/admin/roadshow_mgr/delete.action/" + id } } });
        });
</script>