package com.lightinit.hsdataplatform.impl.admin;

import com.lightinit.hsdataplatform.mapper.ResourceMapper;
import com.lightinit.hsdataplatform.model.admin.ResourceCountListModel;
import com.lightinit.hsdataplatform.model.admin.ResourceCountSearchModel;
import com.lightinit.hsdataplatform.service.admin.IResourceCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ResourceCountServiceImpl implements IResourceCountService {
    @Autowired
    private ResourceMapper resourceMapper;
    @Override
    public List<ResourceCountListModel> queryList(ResourceCountSearchModel inputModel) {
        return resourceMapper.queryResourceList(inputModel);
    }

    @Override
    public long queryCount(ResourceCountSearchModel inputModel) {
        return resourceMapper.queryResourceCount(inputModel);
    }
}
