package com.lightinit.hsdataplatform.impl.admin;

import com.lightinit.hsdataplatform.mapper.UserMapper;
import com.lightinit.hsdataplatform.model.admin.UserCountListModel;
import com.lightinit.hsdataplatform.model.admin.UserCountSearchModel;
import com.lightinit.hsdataplatform.service.admin.IUserCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserCountServiceImpl implements IUserCountService {
    @Autowired
    private UserMapper userMapper;
    @Override
    public List<UserCountListModel> queryList(UserCountSearchModel inputModel) {
        return userMapper.queryList(inputModel);
    }

    @Override
    public long queryCount(UserCountSearchModel inputModel) {
        return userMapper.queryCount(inputModel);
    }
}
