package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.Notification;
import com.lightinit.hsdataplatform.entity.NotificationExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.NotificationListModel;
import com.lightinit.hsdataplatform.model.admin.NotificationSearchModel;
import org.apache.ibatis.annotations.Param;

public interface NotificationMapper {
    long countByExample(NotificationExample example);

    int deleteByExample(NotificationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Notification record);

    int insertSelective(Notification record);

    List<Notification> selectByExampleWithBLOBs(NotificationExample example);

    List<Notification> selectByExample(NotificationExample example);

    Notification selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByExampleWithBLOBs(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByExample(@Param("record") Notification record, @Param("example") NotificationExample example);

    int updateByPrimaryKeySelective(Notification record);

    int updateByPrimaryKeyWithBLOBs(Notification record);

    int updateByPrimaryKey(Notification record);

    List<NotificationListModel> getNotiList(NotificationSearchModel inputModel);

    long getNotiCount(NotificationSearchModel inputModel);
}