<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="编辑"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/activity_mgr/edit.action" method="post" role="form">
    <input type="hidden" name="id" value="${busiModel.id}" />
    <div class="form-group">
        <label for="activityName">活动名称</label>
        <input type="text" id="activityName" name="activityName" class="form-control" value="${busiModel.activityName}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityIntro">活动简介</label>
        <textarea id="activityIntro" name="activityIntro" class="form-control" rows="3" cols="20">${busiModel.activityIntro}</textarea>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityType">活动类型</label>
        <select id="activityType" name="activityType" class="form-control">
            <option></option>
            <c:forEach items="${dicActivityType}" var="item" >
                <c:choose>
                    <c:when test="${item.value==busiModel.activityType}">
                        <option value="${item.key}" selected="selected">${item.value}</option>
                    </c:when>
                    <c:otherwise>
                        <option value="${item.key}">${item.value}</option>
                    </c:otherwise>
                </c:choose>
            </c:forEach>
        </select>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityState">活动状态</label>
        <select id="activityState" name="activityState" class="form-control">
            <option></option>
            <c:forEach items="${dicActivityState}" var="item" >
                <c:choose>
                    <c:when test="${item.value==busiModel.activityState}">
                        <option value="${item.key}" selected="selected">${item.value}</option>
                    </c:when>
                    <c:otherwise>
                        <option value="${item.key}">${item.value}</option>
                    </c:otherwise>
                </c:choose>
            </c:forEach>
        </select>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="organiger">发起人</label>
        <input type="text" id="organiger" name="organiger" class="form-control" value="${busiModel.organiger}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="enrollAddr">报名地址</label>
        <input type="text" id="enrollAddr" name="enrollAddr" class="form-control" value="${busiModel.enrollAddr}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="enrollTime">报名时间</label>
        <div class="input-group date">
            <input type="text" id="enrollTime" name="enrollTime" class="form-control" value="${busiModel.enrollTime}" />
            <span class="input-group-addon">
                <span class="glyphicon glyphicon-calendar"></span>
            </span>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityAddr">举办地址</label>
        <input type="text" id="activityAddr" name="activityAddr" class="form-control" value="${busiModel.activityAddr}" />
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityTime">举办时间</label>
        <div class="input-group date">
            <input type="text" id="activityTime" name="activityTime" class="form-control" value="${busiModel.activityTime}" />
            <span class="input-group-addon">
                <span class="glyphicon glyphicon-calendar"></span>
            </span>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="activityDetail">活动详情</label>
        <textarea id="activityDetail" name="activityDetail" class="form-control" rows="3" cols="20">${busiModel.activityDetail}</textarea>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
    $("#btnSave").click(function() {
        $('#formEdit').ajaxSubmitCloseRefresh();
    });

    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>