<%@ page import="com.lightinit.hsdataplatform.dictionary.DicPublishApiState" %>
<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div>
    <table  class="table table-striped table-bordered table-hover" >
        <thead>
        <tr>
            <th>资源类型</th>
            <th>资源名称</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.resourceType}</td>
                        <td>${item.resourceName}</td>
                        <td><input type="radio"  name="reId"  value="${item.resourceId}"/></td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
    <jsp:include page="../../../common/admin/pager.jsp">
        <jsp:param name="pageNo" value="${pager.pageNo}"/>
        <jsp:param name="pageSize" value="${pager.pageSize}"/>
        <jsp:param name="total" value="${pager.total}"/>
        <jsp:param name="pagerId" value="pagerResourceList"/>
        <jsp:param name="searchFunction" value="searchResourceList();"/>
        <jsp:param name="pageHidenId" value="pageNoResourceList"/>
    </jsp:include>

</div>
<script type="text/javascript">
</script>

