<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>

<div class="form-group">
    <label for="gatewayRouteId" class="col-sm-2 control-label">路由ID</label>
    <div class="col-md-7 col-sm-7">
        <input type="text" onblur="value = value.replace(/[^\a-\z\A-\Z0-9]/g,'')" id="gatewayRouteId"
               placeholder="只能输入英文！" name="gatewayRouteId" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="serviceId" class="col-sm-2 control-label">映射到服务ID</label>
    <div class="col-md-7 col-sm-7">
        <input type="text" id="serviceId" name="serviceId" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="serviceId" class="col-sm-2 control-label">映射到的URL</label>
    <div class="col-md-7 col-sm-7">
        <input type="text" id="serviceUrl" name="serviceUrl" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="path" class="col-sm-2 control-label">路径</label>
    <div class="col-md-7 col-sm-7">
        <input type="text" id="path" name="path" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="stripPrefix" class="col-sm-2 control-label">忽略前缀</label>
    <div class="col-md-7 col-sm-7">
        <select id="stripPrefix" name="stripPrefix" class="form-control">
           <option value="1">是</option>
            <option value="0">否</option>
        </select>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="retryable" class="col-sm-2 control-label">失败重试</label>
    <div class="col-md-7 col-sm-7">
        <select id="retryable" name="retryable" class="form-control">
            <option value="1">是</option>
            <option value="0">否</option>
        </select>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="enabled" class="col-sm-2 control-label">启用</label>
    <div class="col-md-7 col-sm-7">
        <select id="enabled" name="enabled" class="form-control">
            <option value="1">是</option>
            <option value="0">否</option>
        </select>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="appName" class="col-sm-2 control-label">标签</label>
    <div class="col-md-7 col-sm-7">
        <input type="text" id="appName" name="appName" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="refreshInterval" class="col-sm-2 control-label">时间窗口(秒)</label>
    <div class="col-md-7 col-sm-7">
        <input type="number" id="refreshInterval" name="refreshInterval" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="policyLimit" class="col-sm-2 control-label">请求数限制</label>
    <div class="col-md-7 col-sm-7">
        <input type="number" id="policyLimit" name="policyLimit" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="policyQuota" class="col-sm-2 control-label">请求时间限制(秒)</label>
    <div class="col-md-7 col-sm-7">
        <input type="number" id="policyQuota" name="policyQuota" class="form-control"/>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<%--<div class="form-group">--%>
    <%--<label for="authType" class="col-sm-2 control-label">读写权限</label>--%>
    <%--<div class="col-md-7 col-sm-7">--%>
        <%--<select id="authType" name="authType" class="form-control">--%>
            <%--<option value="ROLE_ADMIN">ROLE_ADMIN</option>--%>
            <%--<option value="ROLE_USER">ROLE_USER</option>--%>
            <%--<option value="测试">测试</option>--%>
        <%--</select>--%>
    <%--</div>--%>
    <%--<span class="field-validation-valid help-block"></span>--%>
<%--</div>--%>

<%--<div class="form-group">--%>
    <%--<label for="authValue" class="col-sm-2 control-label">写入权限</label>--%>
    <%--<div class="col-md-7 col-sm-7">--%>
        <%--<select id="authValue" name="authValue" class="form-control">--%>
            <%--<option value="ROLE_ADMIN">ROLE_ADMIN</option>--%>
            <%--<option value="ROLE_USER">ROLE_USER</option>--%>
            <%--<option value="测试">测试</option>--%>
        <%--</select>--%>
    <%--</div>--%>
    <%--<span class="field-validation-valid help-block"></span>--%>
<%--</div>--%>


