<%--
  Created by IntelliJ IDEA.
  User: chentao
  Date: 2018/5/28
  Time: 9:18
  To change this template use File | Settings | File Templates.
--%>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="需求审核"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/data_supply_api/audit.action/" method="post" role="form">
    <input type="hidden" name="id" id="requirement_id" value="${info.rqm.id}"/>
    <div class="form-group">
        <label for="contact1">主联系人：</label>
        <label id="contact1">${info.apiinfo.contact1} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone1">主联系人电话：</label>
        <label id="phone1">${info.apiinfo.phone1} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact2">备用联系人：</label>
        <label id="contact2">${info.apiinfo.contact2} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone2">备用联系人电话：</label>
        <label id="phone2">${info.apiinfo.phone2}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="need_platform_support">是否需要平台撮合交易：</label>
        <label id="need_platform_support">${info.apiinfo.needPlatformSupport}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="category_id">分类：</label>
        <label id="category_id">${info.catelog.catelogType} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="expected_quote">预期报价：</label>
        <label id="expected_quote">${info.apiinfo.expectedQuote} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="created_at">发布日期：</label>
        <label id="created_at"><fmt:formatDate  value="${info.rqm.createdAt}" pattern="yyyy-MM-dd"/> </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="deadline">截止日期：</label>
        <label id="deadline"><fmt:formatDate  value="${info.apiinfo.deadline}" pattern="yyyy-MM-dd"/> </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="rqrmnt_summary">需求描述：</label>
        <label id="rqrmnt_summary">${info.rqm.rqrmntSummary} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="publish_by">需求用户：</label>
        <label id="publish_by">${info.rqm.publishBy} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="system_desc">系统描述：</label>
        <label id="system_desc">${info.apiinfo.systemDesc} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="system_type">系统类型</label>
        <label id="system_type">${info.apiinfo.systemType}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="dev_language">开发语言</label>
        <label id="dev_language">${info.apiinfo.devLanguage} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="belong_to">所属单位：</label>
        <label id="belong_to">${info.apiinfo.belongTo}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="has_ownership">所有权</label>
        <label id="has_ownership">${info.apiinfo.hasOwnership} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="url">访问地址</label>
        <label id="url">${info.apiinfo.url} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="network_type">网络类型</label>
        <label id="network_type">${info.apiinfo.networkType} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="description">其他说明</label>
        <label id="description">${info.apiinfo.description} </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditOpinion">审核意见：</label>
        <textarea id="auditOpinion" name="auditOpinion" style="width: 100%;height: 30px;"></textarea>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<td class="btn-table hidden-print">
    <button name="btnPass" id="btnPass" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>通过</button>
    <button name="btnPass" id="btnNotPass" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>驳回</button>
</td>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>


<script type="text/javascript">
    $("#btnPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="auditStatus" value="1">')
        $('#formEdit').ajaxSubmit(function (data) {
            $(".close").click();
            console.log(data);
            window.parent.search();
            window.parent.showItem($("#requirement_id").val())
        });
    });
    $("#btnNotPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="auditStatus" value="2">')
        $('#formEdit').ajaxSubmit(function (data) {
            window.parent.search();
            $(".close").click();
        });
    });
</script>
</script>
