<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2018/5/27 0027
  Time: 下午 2:09
  To change this template use File | Settings | File Templates.
--%>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>序号</th>
            <th>需求名称</th>
            <th>需求摘要</th>
            <th>发布日期</th>
            <th>状态</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" varStatus="status">
                    <tr>
                        <td>${(pager.pageNo-1)*pager.pageSize+status.index+1}</td>
                        <td><a href="javascript:void(0)" onclick="showItem(${item.id})">${item.rqrmntName}</a></td>
                        <td>${item.rqrmntSummary}</td>
                        <td><fmt:formatDate value="${item.createdAt}"  type="Date" pattern="yyyy-MM-dd"/></td>
                        <td>${item.rqrmntState}</td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <c:if test="${item.rqrmntState == '审核不通过'}">
                                -----
                            </c:if>
                            <c:if test="${item.rqrmntState == '已下架'}">
                                -----
                            </c:if>
                            <c:if test="${item.rqrmntState == '审核中'}">
                                <button name="btnDetail" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>审核</button>
                            </c:if>
                            <c:if test="${item.rqrmntState == '已关闭'}">
                                <button name="btnUnshelve" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>下架</button>
                            </c:if>
                            <c:if test="${item.rqrmntState == '进行中'}">
                                <button name="btnUnshelve" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>下架</button>
                            </c:if>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    function showItem(id){
        $.popBsPartial({ url: "<%=basePath%>/admin/data_supply_api/info/" + id });
    }

    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnDetail']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/data_supply_api/audit/"+ id });
        })
        .on("click", "button[name='btnUnshelve']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/data_supply_api/unshelve/"+ id });
        })

</script>