<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <h2>资源发布</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" >数据审核</a>
                    </li>
                    <li class="active">
                        <strong>数据审核</strong>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <span>数据审核</span><%--表单头，目的修改文字--%>
<form id="publisResourceDetailFormId" action="/admin/datapublish_mgr/publisResourceDetail.action" method="post" role="form" class="form-horizontal">
            <div role="tabpanel" class="tab-pane active" id="baseInfo">
                <input type="hidden" name="id" id="id"value="${busiModel.id}"/>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">数据名称：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px"> ${busiModel.resourceName}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">数据摘要：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.resourceSummary}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">数据项：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.dataItem}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">发布日期：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        <td><fmt:formatDate value="${busiModel.registerDate}" pattern="yyyy-MM-dd"></fmt:formatDate></td>
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">所属单位：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.belongToString}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">主题分类：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.catelogType}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">数据标签：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.dataTag}
                    </div>

                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">数据文件：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.dataFile}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">示例文件：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.demoFile}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <%--<div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">文件格式：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        没有赋值，需求不明确
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>--%>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">资源图片：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        <label><a href="${busiModel.resourceImg}">图片链接</a></label>
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
            <%--/////////////////////发布渠道///////////////////////////--%>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">共享平台：</label>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">共享类型：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.shareType}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">共享条件：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                       ${busiModel.shareCondition ==null?'/':busiModel.shareCondition}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">开放平台：</label>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">开放类型：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.openType}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">开放条件：</label>
                    <div class="col-md-1 col-sm-1" style="padding-top: 7px">
                        ${busiModel.openCondition ==null?'/':busiModel.openCondition}
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
                <div>
                    <table id="fixedPriceTable" class="table table-hover  table-condensed table-bordered "
                           align="center">
                        <thead>
                        <tr>
                            <td>套餐名称</td>
                            <td>套餐价格</td>
                            <td>购买限制</td>
                            <td>使用限制</td>
                            <td>生效日期</td>
                            <td>失效日期</td>
                        </tr>
                        </thead>
                        <tbody>
                        <c:if test="${busiModel.publishSettingList !=null}" var="item">
                            <c:forEach items="${busiModel.publishSettingList}" var="item" varStatus="status">
                                <tr id="fixedPriceTrId-${status.index}">
                                    <td>${item.packageName}</td>
                                    <td>${item.packagePrice==null?"无":item.packagePrice}</td>
                                    <td>${item.buyTimesLimit==null?"无":item.buyTimesLimit}</td>
                                    <td>${item.useTimesLimit==null?"无":item.buyTimesLimit}</td>
                                    <td><fmt:formatDate value="${item.effectiveDate}" pattern="yyyy-MM-dd"></fmt:formatDate></td>
                                    <td><fmt:formatDate value="${item.expiriedDate}" pattern="yyyy-MM-dd"></fmt:formatDate></td>
                                </tr>
                            </c:forEach>
                        </c:if>
                        </tbody>
                    </table>
                </div>
                <div class="form-group">
                    <label class="col-md-1 col-sm-1 control-label">审核意见：</label>
                    <div class="col-md-7 col-sm-7" style="padding-top: 7px">
                        <textarea  type="text" id="auditCommentId" cols="120" rows="3"></textarea>
                    </div>
                    <span class="field-validation-valid help-block"></span>
                </div>
            </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-primary"  onclick="fnPass()">审核通过</button>
        <button type="button" class="btn btn-warning" onclick="fnNotPass()">审核不通过</button>
        <button type="button" class="btn btn-default" data-dismiss="modal" onclick="fnClose()"><i class="fa fa-close" ></i>取消</button>
    </div>
</form>
<jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
</body>
<script type="text/javascript">
 /*   var id=$('#id').val();
    var auditComment=$('#auditCommentId').val();*/
    function  fnPass() {
        $.ajax({
            url: "<%=basePath%>/admin/data_audit/audit.action",
            type:"POST",
            data: {id:$('#id').val(),auditComment:$('#auditCommentId').val(),param:1},
            dataType: "json",
            success: function(result){
                if(result.stateCode==200){
                    alert("操作成功");
                    window.location.href="<%=basePath%>/admin/data_audit/index.htm";
                }
            }});
    }
    function  fnNotPass() {
        $.ajax({
            url: "<%=basePath%>/admin/data_audit/audit.action",
            data: {id:$('#id').val(),auditComment:$('#auditCommentId').val(),param:2},
            dataType: "json",
            type:"POST",
            success: function(result){
                if(result.stateCode==200){
                    alert("操作成功");
                    window.location.href="<%=basePath%>/admin/data_audit/index.htm";
                }
            }});
    }
    function fnClose(){
        window.location.href="<%=basePath%>/admin/data_audit/index.htm";
    }
</script>
</html>