<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>

<div class="form-group">
    <label for="name" class="col-sm-2 control-label"><span style="color: red;">*</span>微服务名称</label>
    <div class="col-sm-7">
        <input type="text" id="name" name="name" class="form-control"/>
        <span class="field-validation-valid help-block"></span>
    </div>
</div>

<div class="form-group">
    <label for="serviceName" class="col-sm-2 control-label"><span style="color: red;">*</span>服务名称</label>
    <div class="col-sm-7">
        <input type="text" id="serviceName" name="serviceName" class="form-control"/>
        <span class="field-validation-valid help-block"></span>
    </div>
</div>

<div class="form-group">
    <label for="publishName" class="col-sm-2 control-label"><span style="color: red;">*</span>发布名称</label>
    <div class="col-sm-7">
        <input type="text" id="publishName" name="publishName" class="form-control"/>
        <span class="field-validation-valid help-block"></span>
    </div>
</div>

<div class="form-group">
    <label for="turbineCluster" class="col-sm-2 control-label"><span style="color: red;">*</span>监控集群</label>
    <div class="col-sm-7">
        <input type="text" id="turbineCluster" name="turbineCluster" class="form-control"/>
        <span class="field-validation-valid help-block"></span>
    </div>
</div>

<div class="form-group">
    <label for="contextPath" class="col-sm-2 control-label"><span style="color: red;">*</span>服务路径</label>
    <div class="col-sm-7">
        <input type="text" id="contextPath" name="contextPath" class="form-control"/>
        <span class="field-validation-valid help-block"></span>
    </div>
</div>

<div class="form-group">
    <label for="serviceAuth" class="col-sm-2 control-label">服务权限</label>
    <div class="col-md-7 col-sm-7">
        <select id="serviceAuth" name="serviceAuth" class="form-control">
            <option value=0>对内</option>
            <option value=1 selected>对外</option>
        </select>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<div class="form-group">
    <label for="lesseeId" class="col-sm-2 control-label">租户</label>
    <div class="col-md-7 col-sm-7">
        <input id="namespace" name="namespace" type="hidden">
        <select id="lesseeId" name="lesseeId" class="form-control" onchange="selectOnchang(this)">
            <option></option>
            <c:if test="${tenant.data.size()>0 }">
                <c:forEach items="${tenant.data}" var="item">
                    <option value="${item.id}">${item.namespaceName}</option>
                </c:forEach>
            </c:if>
        </select>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>

<script type="text/javascript">

</script>




