<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<jsp:include page="../../../common/admin/modal_content_pre.jsp">
    <jsp:param name="modal_title" value="需求详情"/>
</jsp:include>
<form>
    <div class="form-group">
        <label for="requirementName">需求名称：</label>
        <label id="requirementName" >
            ${model.requirementName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="requirementSummary">需求摘要：</label>
        <label id="requirementSummary" >
            ${model.requirementSummary}"
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="requirementSource">需求来源：</label>
        <label id="requirementSource" >
            ${model.requirementSource}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="dataUses">需求用途：</label>
        <label id="dataUses" >
            ${model.dataUses}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="rqrmntSectorName">数据需求部门：</label>
        <label id="rqrmntSectorName" >
            ${model.rqrmntSectorName==null?'无':model.rqrmntSectorName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="belongtoSectorName">数据所属部门：</label>
        <label id="belongtoSectorName" >
            ${model.belongtoSectorName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="publishAt">发布日期：</label>
        <label id="publishAt" >
            <fmt:formatDate value="${model.publishAt}" pattern="yyyy-MM-dd"/>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <c:choose>
        <c:when test="${dataList!=null&&dataList.size()>0}">
            <table class="table table-bordered"  style="text-align: center;cellspacing:0">
                <thead>
                <tr>
                    <td colspan="2">所需数据</td>
                </tr>
                <tr>
                    <td>数据资源名称</td>
                    <td>具体数据项</td>
                </tr>
                </thead>
                <tbody>
                <c:forEach items="${dataList}" var="item">
                    <tr>
                        <td>${item.dataName}</td>
                        <td>${item.dataItem}</td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </c:when>
    </c:choose>
    <div class="form-group">
        <label for="auditOpinion">审核意见：</label>
        <label id="auditOpinion" >
            ${model.auditOpinion}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditShownName">审核用户：</label>
        <label id="auditShownName" >
            ${model.auditShownName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditDate">审核日期：</label>
        <label id="auditDate" >
            <fmt:formatDate value="${model.auditDate}" pattern="yyyy-MM-dd"/>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackSector">反馈部门：</label>
        <label id="feedbackSector" >
            ${model.feedbackSector}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackShowName">反馈用户：</label>
        <label id="feedbackShowName" >
            ${model.feedbackShowName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackDate">反馈日期：</label>
        <label id="feedbackDate" >
            <fmt:formatDate value="${model.feedbackDate}" pattern="yyyy-MM-dd"/>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackResult">反馈情况：</label>
        <label id="feedbackResult" >
            <%--<input name="feedbackResult" type="radio">已提供
            <input name="feedbackResult" type="radio">无法提供--%>
            ${model.feedbackResult}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <input type="hidden" id="id" name="id" value="${model.id}">
        <label for="feedbackDesc">反馈意见：</label>
        <label  id="feedbackDesc">
            ${model.feedbackDesc}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>


<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>返回</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
