<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp">
    <jsp:param name="modal_title" value="反馈"/>
</jsp:include>
<form id="formFeedBack" action="<%=basePath%>/admin/data_supply/feedback.action" method="post" >
    <div class="form-group">
        <label for="requirementName">需求名称：</label>
        <label id="requirementName">
            ${model.requirementName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="requirementSummary">需求摘要：</label>
        <label id="requirementSummary">
            ${model.requirementSummary}"
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="requirementSource">需求来源：</label>
        <label id="requirementSource">
            ${model.requirementSource}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="dataUses">需求用途：</label>
        <label id="dataUses">
            ${model.dataUses}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="rqrmntSectorName">数据需求部门：</label>
        <label id="rqrmntSectorName">
            ${model.rqrmntSectorName==null?'无':model.rqrmntSectorName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="belongtoSectorName">数据所属部门：</label>
        <label id="belongtoSectorName">
            ${model.belongtoSectorName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="publishAt">发布日期：</label>
        <label id="publishAt">
            <fmt:formatDate value="${model.publishAt}" pattern="yyyy-MM-dd"></fmt:formatDate>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <c:choose>
        <c:when test="${dataList!=null&&dataList.size()>0}">
            <table class="table table-bordered" style="text-align: center;cellspacing:0">
                <thead>
                <tr>
                    <td colspan="2">所需数据</td>
                </tr>
                <tr>
                    <td>数据资源名称</td>
                    <td>具体数据项</td>
                </tr>
                </thead>
                <tbody>
                    <c:if test="${dataList !=null}">
                        <c:forEach items="${dataList}" var="item">
                            <tr>
                                <td>${item.dataName}</td>
                                <td>${item.dataItem}</td>
                            </tr>
                        </c:forEach>
                    </c:if>
                    <c:if test="${dataList ==null}">
                        <td colspan="2">无数据</td>
                    </c:if>
                </tbody>
            </table>
        </c:when>
    </c:choose>
    <div class="form-group">
        <label for="auditOpinion">审核意见：</label>
        <label id="auditOpinion">
            ${model.auditOpinion}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditShownName">审核用户：</label>
        <label id="auditShownName">
            ${model.auditShownName}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditDate">审核日期：</label>
        <label id="auditDate">
            <fmt:formatDate value="${model.auditDate}" pattern="yyyy-MM-dd"></fmt:formatDate>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <%--<div class="form-group">
        <label for="feedbackSector">反馈部门：</label>
        <label id="feedbackSector">
            ${model.feedbackSector}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>--%>
    <div class="form-group">
        <label for="feedbackShowName">反馈用户：</label>
        <label id="feedbackShowName">
            ${feedbackBy}
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackDate">反馈日期：</label>
        <label id="feedbackDate">
            <fmt:formatDate value="${feedbackAt}" pattern="yyyy-MM-dd"></fmt:formatDate>
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="feedbackResult">反馈情况：</label>
        <label id="feedbackResult">
            <input name="feedbackResult" type="radio" checked="checked" value="已提供">已提供
            <input name="feedbackResult" type="radio" value="无法提供">无法提供
        </label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <input type="hidden" id="id" name="id" value="${model.id}">
        <label for="feedbackDesc">反馈意见：</label>
        <div>
            <textarea type="text" id="feedbackDesc" name="feedbackDesc" class="form-control" value=""/>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>

<div class="form-group" style="text-align: center;">
    <button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>确定</button>
    <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
</div>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script type="text/javascript">
    $("#btnSave").click(function () {
        $('#formFeedBack').ajaxSubmit(function () {
            window.parent.location.reload();
            $("#wysharp-default-modal-container").modal('hide');
        });
    });

</script>