<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
<input type="hidden" name="formSerialize" />
<input type="hidden" name="pageNo" value="1" />
<form id="formSearch" action="<%=basePath%>/admin/datacatelog_mgr/list.action" method="get" class="form-inline">
    <div class="form-group">
        <label for="sectorName">所属单位</label>
        <input type="text" id="sectorName" name="sectorName" class="form-control" />
    </div>
    <div class="form-group">
        <label for="resourceName">数据名称</label>
        <input type="text" id="resourceName" name="resourceName" class="form-control" />
    </div>
    <div class="form-group">
        <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
        <button id="btnReset" type="button" class="btn btn-sm btn-default"><i class="fa fa-reply"></i>重置</button>
    </div>
</form>
<jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
<%--<button id="btnAdd" type="button" class="btn btn-sm btn-primary btn-position">导入</button>
<a href="<%=basePath%>/admin/datacatelog_mgr/addDataCatelog.htm" class="btn btn-sm btn-primary btn-position">新增</a>--%>
<jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
<div id="divGrid">
</div>
<jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
<script type="text/javascript">
    function search() {
        var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
        var pageNo = $("input[type='hidden'][name='pageNo']").val();
        var formData = formSerialize + "&pageNo=" + pageNo;
        $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/datapublish_mgr/publishResourceList.htm", data: formData });
    }

    $("#btnSearch").click(function () {
        $("input[type='hidden'][name='pageNo']").val(1);
        $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
        search();
    });

    search();

    $("#btnReset").click(function () {
        $('#formSearch').resetForm();
    });
</script>
</body>
</html>