<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>热搜词</th>
            <th>排序值</th>


            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.word}</td>
                        <td>${item.sort}</td>

                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <button name="btnUP" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>上移</button>
                            <button name="btnDown" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>下移</button>
                                <button name="btnDelete" class="btn btn-sm btn-danger m-r-sm"><i class="fa fa-trash-o"></i>删除</button>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>

<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnUP']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/HotWord/move.htm/" + id });
        })
        .on("click", "button[name='btnDelete']", function() {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.delWithConfirm({ func: $.ajaxGetRefresh, funcArgs: { ajaxGetOptions: { url: "<%=basePath%>/admin/HotWord/del.action/" + id } } });
        })
        .on("click", "button[name='btnDown']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/HotWord/move.htm/" + id });
        });

</script>