<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="新增"/></jsp:include>
<form id="formAdd" action="<%=basePath%>/admin/microapp/toAdd.action" method="post" role="form">

    <div class="form-group">
        <label for="rqrmntName"><span style="color: red">*</span>需求名称</label>
        <input type="text" id="rqrmntName" name="rqrmntName" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="rqrmntSummary"><span style="color: red">*</span>需求摘要</label>
        <input type="text" id="rqrmntSummary" name="rqrmntSummary" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="money"><span style="color: red">*</span>任务金额</label>
        <input type="text" id="money" name="money" class="form-control" />
        <span class="help-block"></span>
    </div>
    <%--<div class="form-group">--%>
        <%--<label for="datetimepicker"><span style="color: red">*</span>截止时间</label>--%>
        <%--<input type="text" id="datetimepicker" name="datetimepicker" class="form-control" />--%>
        <%--<span class="help-block"></span>--%>
    <%--</div>--%>

    <div class="form-group">
        <label for="deadline" >截止时间：</label>
            <div class="input-group date">
                <input type="text" id="deadline" name="deadline" class="form-control" />
                <span class="input-group-addon">
                    <span class="glyphicon glyphicon-calendar"></span>
                </span>
            </div>
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact"><span style="color: red">*</span>联系人</label>
        <input type="text" id="contact" name="contact" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone"><span style="color: red">*</span>联系电话</label>
        <input type="text" id="phone" name="phone" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact"><span style="color: red">*</span>分类</label>
        <select class="form-control" name="categoryId" >
            <option></option>
            <c:forEach var="item" items="${obj}">
                <option value="${item.id}">${item.catelogName}</option>
            </c:forEach>
        </select>
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact"><span style="color: red">*</span>需求用户</label>
        <input type="text"  value="${sessionScope.userinfo}"readonly class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="email"><span style="color: red">*</span>邮箱</label>
        <input type="text" id="email" name="email" class="form-control" />
        <span class="help-block"></span>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
    $("#btnSave").click(function() {
        $('#formAdd').ajaxSubmitCloseRefresh();
    });

    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>