<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"  %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="详情"/></jsp:include>
<form id="formAdd" action="<%=basePath%>/admin/microapp_register/update.action" method="post" class="form-horizontal">
    <input type="hidden" name="id" value="${busiModel.id}" />

    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">微应用名称：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.resourceName}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">微应用标示：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.resourceIdentity}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">微应用简介：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.resourceSummary}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">注册日期：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static"><fmt:formatDate value="${busiModel.registerDate}" pattern="yyyy-MM-dd"></fmt:formatDate></p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">提供单位：</label>
        <div  >
            <p class="form-control-static">${microapp.provider}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务方式：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceMethod}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务渠道：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceChannel}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">演示地址：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.demoUrl}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">访问URL：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.url}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">页面截图：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${screenshot == null ? "" : screenshot}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">目录分类：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.catelogType}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label text-right">基础分类：</label>
        <div >
            <p class="form-control-static">${microapp.basicname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">部门分类：</label>
        <div >
            <p class="form-control-static">${microapp.sectorname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">主题分类：</label>
        <div >
            <p class="form-control-static">${microapp.themename}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">自定义分类：</label>
        <div >
            <p class="form-control-static">${microapp.customname}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>


    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">共享类型：</label>
        <div class="col-md-7 col-sm-7">
            <%--<select id="shareType" name="shareType" class="form-control" value="${busiModel.shareType}">--%>
                <%--<option></option>--%>
                <%--<c:forEach items="${dicResourceShareType}" var="item" >--%>
                    <%--<option value="${item.key}" ${item.key == busiModel.shareType ? "selected=\"selected\"" : ""}>${item.value}</option>--%>
                <%--</c:forEach>--%>
            <%--</select>--%>
                <p class="form-control-static">${busiModel.shareType}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">开放类型：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.openType}</p>
            <%--<select id="openType" name="openType" class="form-control" value="${busiModel.openType}">--%>
                <%--<option></option>--%>
                <%--<c:forEach items="${dicResourceOpenType}" var="item" >--%>
                    <%--<option value="${item.key}" ${item.key == busiModel.openType ? "selected=\"selected\"" : ""}>${item.value}</option>--%>
                <%--</c:forEach>--%>
            <%--</select>--%>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">是否可交易：</label>
        <div class="col-md-7 col-sm-7">
            <%--<select id="allowDeal" name="allowDeal" class="form-control">--%>
                <%--<option value="0" ${busiModel.allowDeal == 0 ? "selected=\"selected\"" : ""}>否</option>--%>
                <%--<option value="1" ${busiModel.allowDeal == 1 ? "selected=\"selected\"" : ""}>是</option>--%>
            <%--</select>--%>
                <p class="form-control-static">${busiModel.allowDeal == 0 ? "否" : ""}
                    ${busiModel.allowDeal == 1 ? "是" : ""}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务标签：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static">${busiModel.serviceTag}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">审核意见：</label>
        <div class="col-md-7 col-sm-7">
            <p class="form-control-static"> ${busiModel.auditOpinion}</p>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script>

</script>