<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<jsp:include page="../../../common/admin/modal_content_pre.jsp">
    <jsp:param name="modal_title" value="详情"/>
</jsp:include>
<form class="form-horizontal">
    <div class="form-group">
        <label for="orderNumber" class="col-lg-4  text-right">订单号：</label>
        <div id="orderNumber" class="col-lg-4 text-left">
            ${OfflineConferenceListModel.orderNumber}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="username" class="col-lg-4  text-right">用户：</label>
        <div id="username" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.username}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="requirement" class="col-lg-4  text-right">资源需求：</label>
        <div id="requirement" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.requirement}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="usage" class="col-lg-4  text-right">使用意向：</label>
        <div id="usage" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.usage}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="submitTime" class="col-lg-4  text-right">提交日期：</label>
        <div id="submitTime" class="col-md-7 col-sm-7">
            <fmt:formatDate value="${OfflineConferenceListModel.submitTime}" type="Date" pattern="yyyy-MM-dd"/>
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact" class="col-lg-4  text-right">联系人：</label>
        <div id="contact" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.contact}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="phone" class="col-lg-4  text-right">联系电话：</label>
        <div id="phone" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.phone}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="orderState" class="col-lg-4  text-right">状态：</label>
        <div id="orderState" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.orderState ==null ?'未处理' :'已处理'}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditedByName" class="col-lg-4  text-right">处理人：</label>
        <div id="auditedByName" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.auditedByName}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditOpinion" class="col-lg-4  text-right">处理意见：</label>
        <div id="auditOpinion" class="col-md-7 col-sm-7">
            ${OfflineConferenceListModel.auditOpinion}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>


</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>

</script>