<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="新增"/></jsp:include>
<form id="formAdd" action="<%=basePath%>/admin/refund/add.action" method="post" role="form">


    <div class="form-group">
        <div >
            <label for="orderNumber">订单编号</label>
            <input id="orderNumber" name="orderNumber" class="form-control"></input>
            <span class="help-block"></span>
        </div>
    </div>
    <div class="form-group">
        <label for="username">用户名</label>
        <input type="text" id="username" name="username" class="form-control" />
        <span class="help-block"></span>
    </div>

    <div class="form-group">
        <label for="refundAmount">退款金额</label>
        <input type="text" id="refundAmount" name="refundAmount" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="operatorName">退款操作人姓名</label>
        <input type="text" id="operatorName" name="operatorName" class="form-control" />
        <span class="help-block"></span>
    </div>

    <div class="form-group">
        <label for="description">描述</label>
        <textarea id="description" name="description" class="form-control" rows="3" cols="20"></textarea>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
    $("#btnSave").click(function() {
        $('#formAdd').ajaxSubmitCloseRefresh();
    });

    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>