
<%@ page import="com.lightinit.hsdataplatform.dictionary.DicPublishApiState" %>
<%@ page import="com.lightinit.hsdataplatform.dictionary.DicResourceType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="详情"/></jsp:include>
<div >
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"><a href="#caller" aria-controls="caller" role="tab" data-toggle="tab">资源信息</a></li>
        <li role="presentation"><a href="#callee" aria-controls="callee" role="tab" data-toggle="tab">资源图谱</a></li>
    </ul>
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="caller" >
            <div class="form-group">
                <label  >发布日期:</label>
                    <fmt:formatDate value="${model.createdAt}" pattern="yyyy-MM-dd"/>
            </div>
            <div class="form-group">
                <label >资源类型：</label>
                    ${model.resourceType}
            </div>
            <div class="form-group">
                <label >服务对象：</label>
            </div>
            <div class="form-group">
                <label >是否收费：</label>
                ${model.chargeMethod}
            </div>
            <div class="form-group">
                <label >覆盖范围：</label>
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label for="catelogType" >服务商：</label>
                <div id="catelogType">
                </div>
            </div>
            <div class="form-group">
                <label >基础分类：</label>
                    ${model.basicName}
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label  >部门分类：</label>
                    ${model.sectorName}
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label  >自定义分类：</label>
                    ${model.customName}
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label >主题分类：</label>
                    ${model.themeName}
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label  >服务标签：</label>
                <span class="field-validation-valid help-block"></span>
            </div>
            <div class="form-group">
                <label  >资源站点：</label>
                    ${resource.catelogCustomName}
                <span class="field-validation-valid help-block"></span>
            </div>
        </div>


        <div role="tabpanel" class="tab-pane"id="callee">
            <div class="form-group">
                <label  >提供方式：</label>
                <span class="field-validation-valid help-block"></span>
                </br>
            </div>
            </br>
            <div class="form-group">
                <label >授权属性：</label>
                <span class="field-validation-valid help-block"></span>
                </br>
            </div>
            </br>
            <div class="form-group">
                <label  >输入项：</label>
                <table class="table table-striped table-bordered table-hover" >
                    <thead>
                    <tr>
                        <th>数据类型</th>
                        <th>说明</th>
                        <th>是否必填</th>
                        <th class="hidden-print">参数名称</th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:choose>
                        <c:when test="${listIn!=null}">
                            <c:forEach items="${listIn}" var="item" >
                                <tr>
                                    <td>${item.dataType}</td>
                                    <td>${item.description}</td>
                                    <td>${item.isRequired}</td>
                                    <td>${item.paramName}</td>
                                </tr>
                            </c:forEach>
                        </c:when>
                        <c:otherwise>
                            <tr>
                                <td colspan="4">无数据</td>
                            </tr>
                        </c:otherwise>
                    </c:choose>
                    </tbody>
                </table>
                </br>
            </div>
            </br>
            <div class="form-group">
                <label  >输出项</label>
                <table class="table table-striped table-bordered table-hover" >
                    <thead>
                    <tr>
                        <th>数据类型</th>
                        <th>说明</th>
                        <th>参数类型</th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:choose>
                        <c:when test="${listOut!=null}">
                            <c:forEach items="${listOut}" var="item" >
                                <tr>
                                    <td>${item.dataType}</td>
                                    <td>${item.description}</td>
                                    <td>${item.paramName}</td>
                                </tr>
                            </c:forEach>
                        </c:when>
                        <c:otherwise>
                            <tr>
                                <td colspan="4">无数据</td>
                            </tr>
                        </c:otherwise>
                    </c:choose>
                    </tbody>
                </table>
                <span class="field-validation-valid help-block"></span>
                </br>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<script>

    $('#myTabs a').click(function (e) {
        /*e.preventDefault()*/
        $(this).tab('show')
    })
</script>