<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
    <div class="row hidden-print">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title">
                    <h2>数据交换图谱</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a href="javascript:void(0);" >资源图谱</a>
                        </li>
                        <li class="active">
                            <strong>数据交换图谱</strong>
                        </li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>
    <input type="hidden" name="formSerialize" />
    <input type="hidden" name="pageNo" value="1" />
    <form id="formSearch" action="<%=basePath%>/admin/resourceDeptImg/findAllList.action" method="get" class="form-inline">
            <div class="form-group">
                <label for="username">用户</label>
                <input type="text" id="username" name="username" class="form-control" />
            </div>
        <div class="form-group">
            <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
        </div>
    </form>
    <jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/grid_pre.jsp"></jsp:include>
    <button id="btnAdd" onclick="javascript:window.location.href='<%=basePath%>/admin/resourceDeptImg/allImage.htm'" type="button" class="btn btn-sm btn-primary btn-position"><i class="fa fa-bullseye" aria-hidden="true"></i></button>
    <jsp:include page="../../../common/admin/grid_middle.jsp"></jsp:include>
    <div id="divGrid">
    </div>
    <jsp:include page="../../../common/admin/grid_post.jsp"></jsp:include>
    <jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
    <script type="text/javascript">
        $(".input-group.date").datetimepicker({
            format: "YYYY-MM-DD",
            locale: "zh-cn"
        });
        function search() {
            var formSerialize = $("input[type='hidden'][name='formSerialize']").val();
            var pageNo = $("input[type='hidden'][name='pageNo']").val();
            var formData = formSerialize + "&pageNo=" + pageNo;
            $("#divGrid").renderPartial({ url: "<%=basePath%>/admin/resourceDeptImg/findAllList.action", data: formData });
        }
        $("#btnSearch").click(function () {
            $("input[type='hidden'][name='pageNo']").val(1);
            $("input[type='hidden'][name='formSerialize']").val($("#formSearch").serialize());
            search();
        });

        $("#btnReset").click(function () {
            $(" #username").val("");
            $(" #orderState").val("");
            $(" #auditedByName").val("");
            $(" #orderNumber").val("");
            $(" #submitTime").val("");
        });
        search();
    </script>
</body>
</html>