<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="路演审核"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/roadshow_audit/edit.action" method="post" role="form">
    <input type="hidden" name="id" value="${busiModel.id}"/>
    <div class="form-group">
        <label for="roadshowName">路演名称:</label>
        <label id="roadshowName" name="roadshowName" >${busiModel.roadshowName}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="roadshowIntro">路演描述</label>
        <label id="roadshowIntro" name="roadshowIntro"   rows="3" cols="20"></label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="financingType">融资类型:</label>
        <label id="financingType" name="financingType" >${busiModel.financingType}</label>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label for="financingAmount">融资金额:</label>
        <label id="financingAmount" name="financingAmount" >${busiModel.financingAmount}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="projectPhase">项目阶段:</label>
        <label id="projectPhase" name="projectPhase" >${busiModel.projectPhase}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="tradeField">行业领域:</label>
        <label id="tradeField" name="tradeField" >${busiModel.tradeField}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="roadshowTag">标签选择:</label>
        <label id="roadshowTag" name="roadshowTag" >${busiModel.roadshowTag}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>缩略图:</label>
        <img src="${busiModel.thumbnail}"/>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>路演材料:</label>
        <image src="${busiModel.material1}"/>
        <image src="${busiModel.material2}"/>
        <image src="${busiModel.material3}"/>
        <image src="${busiModel.material4}"/>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="roadshowState">状态:</label>
        <label id="roadshowState" name="roadshowState" >${busiModel.roadshowState}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditedBy">审核人:</label>
        <input type="hidden" id="auditedBy" name="auditedBy" value="${auditerId}"/>
        <label>${auditor}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditOpinion">审核意见:</label>
        <input type="text" id="auditOpinion" name="auditOpinion" class="form-control"   />
        <span class="field-validation-valid help-block"></span>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<td class="btn-table hidden-print">
<input type="hidden" name="id" value="${item.id}"/>
<button name="btnPass" id="btnPass" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>审核通过</button>
<button name="btnNotPass" id="btnNotPass" class="btn btn-sm btn-danger"><i class="fa fa-trash-o"></i>审核不通过</button>
</td>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>
<script type="text/javascript">
    $("#btnPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="param" value="1">')
        $('#formEdit').ajaxSubmitCloseRefresh();
    });
    $("#btnNotPass").click(function() {
        $('#formEdit').append('<input type="hidden" name="param" value="2">')
        $('#formEdit').ajaxSubmitCloseRefresh();
    });
</script>