<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="路演详情"/></jsp:include>
<form id="formEdit" >
    <div class="form-group">
        <label for="roadshowName">路演名称:</label>
        <label id="roadshowName" name="roadshowName" >${busiModel.roadshowName}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
   <%-- <div class="form-group"> 该字段----->在roadshow类中没有该属性
        <label for="roadshowIntro">路演描述</label>
        <textarea id="roadshowIntro" name="roadshowIntro" class="form-control"  disabled rows="3" cols="20"></textarea>
        <span class="field-validation-valid help-block"></span>
    </div>--%>
    <div class="form-group">
        <label for="financingType">融资类型:</label>
        <label id="financingType" name="financingType" >${busiModel.financingType}</label>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label for="financingAmount">融资金额:</label>
        <label id="financingAmount" name="financingAmount" >${busiModel.financingAmount}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="projectPhase">项目阶段:</label>
        <label id="projectPhase" name="projectPhase" >${busiModel.projectPhase}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="tradeField">行业领域:</label>
        <label id="tradeField" name="tradeField" >${busiModel.tradeField}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="roadshowTag">标签选择:</label>
        <label id="roadshowTag" name="roadshowTag" >${busiModel.roadshowTag}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>缩略图:</label>
        <image src="${busiModel.thumbnail}"/>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label>路演材料:</label>
        <image src="${busiModel.material1}"/>
        <image src="${busiModel.material2}"/>
        <image src="${busiModel.material3}"/>
        <image src="${busiModel.material4}"/>
        <span class="field-validation-valid help-block"></span>
    </div>

    <div class="form-group">
        <label for="roadshowState">状态:</label>
        <label id="roadshowState" name="roadshowState" >${busiModel.roadshowState}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditedBy">审核人:</label>
        <label id="auditedBy" name="auditedBy" >${busiModel.auditedBy !=null?busiModel.auditedBy:'无'}</label>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label for="auditOpinion">审核意见:</label>
        <label id="auditOpinion" name="auditOpinion" >${busiModel.auditOpinion !=null?busiModel.auditOpinion:'无'}</label>
        <span class="field-validation-valid help-block"></span>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal">确定</button>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>