<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"  %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="详情"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/service_provider/doEdit.action" method="post" role="form" class="form-horizontal">
    <input type="hidden" name="id" value="${busiModel.id}" />
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">用户名：</label>
        <div class="col-md-7 col-sm-7"> ${busiModel.username}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label  class="col-md-3 col-sm-3 control-label">服务商名称：</label>
        <div class="col-md-7 col-sm-7">
             ${busiModel.providerName}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">联系人：</label>
        <div class="col-md-7 col-sm-7">
            ${busiModel.contact}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">手机号码：</label>
        <div class="col-md-7 col-sm-7">
            ${busiModel.phone}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">邮箱：</label>
        <div class="col-md-7 col-sm-7">
            ${busiModel.email}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">地址：</label>
        <div class="col-md-7 col-sm-7">
            ${busiModel.address}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">注册日期：</label>
        <div class="col-md-7 col-sm-7">
            <fmt:formatDate value='${busiModel.createdAt}' type='date' pattern="yyyy-MM-dd"/>
        </div>

        <span class="field-validation-valid help-block"></span>
    </div>
    <div class="form-group">
        <label class="col-md-3 col-sm-3 control-label">服务商简介：</label>
        <div class="col-md-7 col-sm-7">
            ${busiModel.description}
        </div>
        <span class="field-validation-valid help-block"></span>
    </div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>