<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"  %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="编辑"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/service_provider/doEdit.action" method="post" role="form">
    <input type="hidden" name="id" value="${busiModel.id}" />
    <div class="form-group">
        <label for="username">用户名</label>
        <input type="text" id="username" name="username" readonly value="${busiModel.username}" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="providerName"><span style="color: red">*</span>服务商名称</label>
        <input id="providerName" name="providerName" value="${busiModel.providerName}" class="form-control" rows="3" cols="20"></input>
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="contact"><span style="color: red">*</span>联系人</label>
        <input type="text" id="contact" name="contact" value="${busiModel.contact}" class="form-control" />
        <span class="help-block"></span>
    </div>

    <div class="form-group">
        <label for="phone"><span style="color: red">*</span>手机号码</label>
        <input type="text" id="phone" name="phone" value="${busiModel.phone}" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="email"><span style="color: red">*</span>邮箱</label>
        <input type="text" id="email" name="email" value="${busiModel.email}" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="address">地址</label>
        <input type="text" id="address" name="address" value="${busiModel.address}" class="form-control" />
        <span class="field-validation-valid help-block"></span>
    </div>
<%--<div class="form-group">
    <label for="createdAt">注册日期</label>
    <div class="input-group date">
        <input type="text" id="createdAt" readonly name="createdAt" value="<fmt:formatDate value='${busiModel.createdAt}' type='date' pattern="yyyy-MM-dd"/>"  class="form-control" />
        <span class="input-group-addon">
            <span class="glyphicon glyphicon-calendar"></span>
        </span>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>--%>
<div class="form-group">
    <label for="description">服务商简介</label>
    <textarea id="description" name="description"  class="form-control" rows="3" cols="20">
        ${busiModel.description}
    </textarea>
    <span class="field-validation-valid help-block"></span>
</div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
$("#btnSave").click(function() {
    $('#formEdit').ajaxSubmitCloseRefresh();
});

$(".input-group.date").datetimepicker({
    format: "YYYY-MM-DD",
    locale: "zh-cn"
});
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>