<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>序号</th>
            <th>年份</th>
            <th>注册总计</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" varStatus="status">
                    <tr>
                        <td>${(pager.pageNo-1)*pager.pageSize+status.count}</td>
                        <td>${item.registeYear==null?'总计':item.registeYear}</td>
                        <td>${item.registeSum}</td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<%--<jsp:include page="../../../common/admin/pager.jsp">--%>
<%--    <jsp:param name="pageNo" value="${pager.pageNo}"/>--%>
<%--    <jsp:param name="pageSize" value="${pager.pageSize}"/>--%>
<%--    <jsp:param name="total" value="${pager.total}"/>--%>
<%--</jsp:include>--%>

